Page MenuHomePhabricator

Long running query from LinksUpdate::incrTableUpdate job causing general lag
Closed, ResolvedPublic

Description

While I understand that this particular job was unusual, load should be predictable, specially for non-real time jobs. Maybe batch it?

*************************** 3. row ***************************
      Id: 26
    User: system user
    Host: 
      db: plwiki
 Command: Connect
    Time: 179
   State: init
    Info: DELETE /* LinksUpdate::incrTableUpdate 127.0.0.1 */ FROM `pagelinks` WHERE pl_from = '1385866' AND ((pl_namespace = '0' AND pl_title IN ('\'N_Sync','(hed)_P.E','...And_Oceans','...And_You_Will_Know_Us_by_the_Trail_of_Dead','10cc','112_(grupa_muzyczna)','12_Rods','12_Stones','1349_(grupa_muzyczna)','1984_(grupa_muzyczna)','1TYM','1z2','213_(grupa_muzyczna)','2Tm2,3','2_Chainz','2_plus_1','2cztery7','30_Seconds_to_Mars','3OH!3','3_Doors_Down','3xKlan','40_Cal.','5\'nizza','50_Cent','5th_Dimension','60_Second_Assassin','65daysofstatic','78violet','7_Year_Bitch','8Ball_&_MJG','A*Teens','A-ha','A.R._Rahman','A.S.A.P.','ABBA','ABC_(brytyjska_grupa_muzyczna)','ABC_(polska_grupa_muzyczna)','AC/DC','ATC_(grupa_muzyczna)','AZ_(raper)','A_(grupa_muzyczna)','A_Day_to_Remember','A_Fine_Frenzy','A_Life_Once_Lost','A_Perfect_Circle','A_Tribe_Called_Quest','Aaliyah','Abaddon_(grupa_muzyczna)','Abhinanda','Abigor','Abney_Park_(zespół_muzyczny)','Aborted','Aborym','Above_&_Beyond','Above_the_Law','Abradab','Abraxas_(grupa_muzyczna)','Abscess','Absurd_(polska_grupa_muzyczna)','Abused_Majesty','Accept','Ace_Cannon','Ace_Frehley','Ace_Hood','Ace_Wilder','Ace_of_Base','Acid_Bath','Acid_Drinkers','Activ','Acumen_Nation','Ada_Fijał','Adam_Lambert','Adam_Makowicz','Addiction_Crew','Adelhard_Roidinger','Adelén','Adema','Adler\'s_Appetite','Admiral_Dancehall','Admirala_Dancehalla','Adorable','Adrian_Rodriguez','Aerosmith','Afrika_Bambaataa','Afro_Kolektyw','Afrob','Afromental','Afront','After...','After_Blues','After_Forever','After_the_Burial','Afu-Ra','Aga_Zaryan','Agalloch','Aggro_Berlin','Aggro_Santos','Agnes_Carlsson','Agnieszka_Chrzanowska','Agnieszka_Chylińska','Agnieszka_Jurkiewicz','Agnieszka_Włodarczyk','AheadZ','Aiden','Aimee_Mann','Aion_(grupa_muzyczna)','Air_(grupa_muzyczna)','Airbag_(grupa_muzyczna)','Airbourne','Ajattara','Akcent_(rumuńska_grupa_muzyczna)','Akira_Yamaoka','Akon','Akurat','Al_Di_Meola','Al_Foster','Al_Green','Alan_Parsons','Alan_Parsons_Project','Alan_Wilder','Alanis_Morissette','Alastor_(grupa_muzyczna)','Albert_Ayler','Albert_Hammond','Albert_Rosenfield','Alborosie','Alcazar_(grupa_muzyczna)','Alec_Empire','Alejandro_Fernández','Alejandro_Sanz','Aleksander_Mrożek','Aleksandra_Bieńkowska','Aleksandra_Kurzak','Aleksandra_Nieśpielak','Aleksandra_Szwed','Alesana','Alesha_Dixon','Alestorm','Alex_Christensen','Alex_Gaudino','Alexander_Klaws','Alexander_Rybak','Alexandra_Burke','Alexandra_Stan','Alexandre_Desplat','Alexis_Jordan','Alexz_Johnson','Alghazanth','Aliana_Lohan','Alice_Coltrane','Alice_Cooper','Alice_Cooper_(zespół_muzyczny)','Alice_N\'_Chains','Alice_N_\'Chains','Alice_in_Chains','Alicia_Keys','Alicja_Boratyn','Alicja_Janosz','Alien_Ant_Farm','Alina_Devecerski','Alison_Hinds','Alizée','Alkatraz_(grupa_muzyczna)','All-4-One','All_Shall_Perish','All_That_Remains','All_Time_Low','Allison_Iraheta','Alpa_Gun','Alphaville_(grupa_muzyczna)','Altaria_(grupa_muzyczna)','Alter_Bridge','Amadeusz_i_Grupa_3mająca_władzę','Amal_Hijazi','Amanda_Lear','Amanda_Palmer','Ambeon','Amel_Bent','America_(grupa_muzyczna)','American_Tragedy','Amerie','AmetriA','Amiina','Amil','Amila_Zazu','Amok_(grupa_muzyczna)','Amon_Amarth_(grupa_muzyczna)','Amon_Tobin','Amorphis','Amy_Diamond','Amy_Macdonald','Amy_Studt','Amy_Winehouse','An_Cafe','Ana_Johnsson','Anahi','Anal_Cunt','Anal_Stench','Anastacia','Anastasija_Prychodko','Anathema','Anawa_(grupa_muzyczna)','Ancient','Anderson_Bruford_Wakeman_Howe','Andrea_Berg','Andrea_Bocelli','Andreas_Vollenweider','Andrew_Stockdale','Andru_Donalds','Andrzej_Biegun','Andrzej_Cudzich','Andrzej_Dąbrowski','Andrzej_Dąbrowski_(piosenkarz)','Andrzej_Garczarek','Andrzej_Kurylewicz','Andrzej_Lampert','Andrzej_Piaseczny','Andrzej_Poniedzielski','Andrzej_Serafin','Andrzej_Sikorowski','Andrzej_Smolik','Andrzej_Trzaskowski','Andrzej_Zaucha_(piosenkarz)','André_Previn','André_Tanneberger','Andy_Williams','Aneela','Anekdoten','Aneta_Sablik','Angela_Hunte','Angela_Via','Angelcorpse','Angels_&_Airwaves','Angelspit','Anggun','Angie_Stone','Angra','Ania_Rusowicz','Anika_Noni_Rose','Anima_Damnata','Animal_Collective','Anita_Lipnicka','Ankh_(grupa_muzyczna)','Ann_Winsborn','Anna_Dąbrowska','Anna_German','Anna_Jantar','Anna_Jurksztowicz','Anna_Maria_Jopek','Anna_Marucha','Anna_Serafińska','Anna_Szarmach','Anna_Treter','Anna_Wiśniewska','Anna_Wyszkoni','Anne_Gadegaard','Annie_Lennox','Annihilator','Anorexia_Nervosa','Anouk','Anthony_B','Anthrax_(amerykańska_grupa_muzyczna)','Anthrax_(brytyjska_grupa_muzyczna)','Anti-Flag','Antigama','Antimatter','Antonina_Krzysztoń','Antonio_Carlos_Jobim','Antony_and_the_Johnsons','Antônio_Carlos_Jobim','Anybody_Killa','Aphex_Twin','Apocalyptica','Apollo_440','Apolonia_Nowak','Apteka_(grupa_muzyczna)','Aqua_(grupa_muzyczna)','Aracely_Arámbula','Arakain','Arash','Arcade_Fire','Arch_Enemy','Archie_Shepp','Archive','Arctic_Monkeys','Arcturus','Arditi','Ares_&_The_Tribe','Aretha_Franklin','Ariel_Pink','Arka_Noego_(grupa_muzyczna)','Arkona_(grupa_muzyczna)','Arkona_(polska_grupa_muzyczna)','Armagedon_(grupa_muzyczna)','Armia_(grupa_muzyczna)','Armin_van_Buuren','Art_Bears','Art_Ensemble_of_Chicago','Art_Hodes','Art_Pepper','Arthur_Alexander','Artillery','Artrosis','Artur_Andrus','Artur_Chamski','Artur_Dutkiewicz','Artur_Gadowski','Artur_Rojek','As_I_Lay_Dying','Ascetoholix','Asgaard','Ashanti_Douglas','Asher_Roth','Ashes_Divide','Ashlee_Simpson','Ashley_Tisdale','Asia_(grupa_muzyczna)','Asian_Kung-Fu_Generation','Assassin','Astral_Projection','Astrud_Gilberto','At_the_Drive-In','At_the_Gates','Atari_Teenage_Riot','Ataxia','Atban_Klann','Atheist','Athena_(turecka_grupa_muzyczna)','Atmosphere_(polska_grupa_muzyczna)','Atomega','Atomic_Kitten','Atomic_Rooster','Atrakcyjny_Kazimierz','Atrophia_Red_Sun','Attitude_(raper)','Aubrey_Graham','AudioFeels','Audioslave','Augustus_Pablo','Aura_Dione','Aural_Planet','Aurela_Gaçe','Aurora_(grupa_muzyczna)','Aurora_(węgierska_grupa_muzyczna)','Autechre','Autolux','Autopsy','Autumn_(holenderska_grupa_muzyczna)','Avantasia','Avenged_Sevenfold','Avicii','Avril_Lavigne','Awake_(grupa_muzyczna)','Axwell','Aya_RL','Ayreon','Aysel_Teymurzade','Ayumi_Hamasaki','Ayọ','Azad','Azarath','Azok_a_Fiúk','Azyl_P','B\'z','B-Tight','B.B._King','B.E.T.H','B.G._Knocc_Out','B.N.','B.o.B','Baba_Saad','Babylon_Whores','Babyshambles','Backstreet_Boys','Bad_Boys_Blue','Bad_Manners','Bad_Meets_Evil','Bad_Religion','Baden-Baden_(grupa_muzyczna)','Bajm','Bakflip','Balkan_Electrique','Banco_del_Mutuo_Soccorso','Band_Aid','Band_of_Horses','Banjo_Band','Banyan','Barbara_Hetmańska','Barbara_Tucker','Barbra_Streisand','Barenaked_Ladies','Barney_Kessel','Barry_Manilow','Bartosz_Wrona','Bartłomiej_Gliniak','Bas_Tajpan_&_Miuosh','Basement_Jaxx','Basia','Bass_Sultan_Hengzt','Basshunter','Basstion','Bastille','Bat_for_Lashes','Batalion_d\'Amour','Bateau_Lavoir','Bathory','Battlelore','Battles','Bauhaus_(grupa_muzyczna)','Beanie_Sigel','Bear_McCreary','Beastie_Boys','Beat_Squad','Beata_Kozidrak','Beatallica','Beatrice_(grupa_muzyczna)','Beatsteaks','Beautiful_Sin','Beauty_Free','Beck_Hansen','Bee_Gees','Behemoth','Beherit_(grupa_muzyczna)','Behexen','Beirut_(grupa_muzyczna)','Believe_(grupa_muzyczna)','Belinda_Carlisle','Belinda_Peregrin','Bella_Thorne','Belle_&_Sebastian','Belphegor','Bemibem','Ben_Folds','Ben_Harper','Ben_Lee','Ben_Moody','Benassi_Bros.','Benny_Benassi','Benny_Carter','Berryz_Kōbō','Beth_Gibbons','Bethel_(zespół)','Beyoncé_Knowles','Beyond_Fear','Bez_Cenzury','Bez_Jacka','Bezczel','Bezdomne_Psy','BiFF','Bic_Runga','Bielizna_(grupa_muzyczna)','Biffy_Clyro','Big_Brother_&_the_Holding_Company','Big_Cyc','Big_Daddy_Kane','Big_Day','Big_L','Big_Mike','Big_Pun','Big_Sean','Big_Time_Rush_(grupa_muzyczna)','Bikini_(grupa_muzyczna)','Bikini_(polska_grupa_muzyczna)','Bill_Evans','Bill_Frisell','Bill_Haley','Bill_Perkins','Bill_és_a_Box_Company','Billie_Myers','Billy_Idol','Billy_Ray','Billy_Ray_Cyrus','Billy_Talent','Bimber_Polland','Bing_Crosby','Biohazard','Birdman','Birdy','Bisquit','Bizzy_Bone','Björk','Björk_Guðmundsdóttir_&_Tríó_Guðmundar_Ingólfssonar','Björn_Skifs','Black_Altar','Black_Country_Communion','Black_Flag','Black_Horizonz','Black_Infinity','Black_Label_Society','Black_Light_Burns','Black_Majesty','Black_Messiah','Black_Rebel_Motorcycle_Club','Black_River_(grupa_muzyczna)','Black_Rose','Black_Sabbath','Black_Star_(grupa_muzyczna)','Black_Stone_Cherry','Black_Uhuru','Black_Veil_Brides','Blackfield','Blackmore\'s_Night','Blade_Loki','Blasphemous_Deis','Blasphemy','Blaze_Bayley_(grupa_muzyczna)','Blaze_Ya_Dead_Homie','Bleeding_Through','Blenders','Blessthefall','Blind_Faith','Blind_Guardian','Blindead','Blindside','Blink-182','Bloc_Party','Blog_27','Blondie','Bloodbath','Bloodhound_Gang','Bloodthirst','Bloom_06','Blotted_Science','Blu_Cantrell','Blue_Box_(grupa_muzyczna)','Blue_Café','Blue_Lagoon_(grupa_muzyczna)','Blue_System','Blue_Öyster_Cult','Blur_(zespół_muzyczny)','Blutonium_Boy','BoA_(piosenkarka)','Boards_of_Canada','Bob_Dylan','Bob_Florence','Bob_Gordon','Bob_Marley','Bob_Marley_&_The_Wailers','Bob_One','Bob_Sinclar','Bobby_Brown','Bobby_McFerrin','Bobby_Vinton','Bobik_(raper)','Bogdan_Trojanek','Bogna_Woźniak','Bogusław_Linda','Bogusław_Nowicki','Bogusław_Wyrobek','Bohema_(grupa_muzyczna)','Bokka','Bolt_Thrower','Bombay_Bicycle_Club','Bomfunk_MC\'s','Bon_Iver','Bon_Jovi','Bonanza_Banzai','Bone_Thugs-n-Harmony','Boney_M.','Bonfire_(grupa_muzyczna)','Bonobo_(muzyk)','Boogie_Down_Productions','Boondox','Booty_Luv','Bora_(grupa_muzyczna)','Borixon','Borknagar','Born_Juices','Borys_Dejnarowicz','Borysewicz_&_Kukiz','Bosski_Roman','Bosson','Boston_(grupa_muzyczna)','Bounty_Killer','Bow_Wow','Box_Car_Racer','Boys_(grupa_muzyczna)','Boyz_II_Men','Bracia_(grupa_muzyczna)','Bracia_Figo_Fagot','Bracia_Lewkowscy','Brad_Fiedel','Brad_Terry','Brahu','Brainstorm','Brak_(grupa_muzyczna)','Brand_Nubian','Brandon_Ashley','Brandy_Norwood','Brathanki','Bratmobile','Braty_z_Rakemna','Breaking_Benjamin','Breakout','Brian_Eno','Brian_May','Brian_Welch','Bring_Me_the_Horizon','Britney_Spears','Brittany_Murphy','Broken_Bells','Broken_Social_Scene','Bruce_Dickinson','Bruce_Hornsby','Bruce_Springsteen','Brujeria','Bruno_Mars','Bruno_Schulz_(grupa_muzyczna)','Bryan_Adams','Bryan_Ferry','Brygada_Kryzys','Buckcherry','Buczer','Buddy_Miles','Budgie','Budka_Suflera','Buenos_Ares','Buka_(raper)','Buldog_(grupa_muzyczna)','Bulldózer','Bullet_for_My_Valentine','Bun_B','Buraka_Som_Sistema','Burial','Burning_Point','Burning_Spear','Burzum','Bushido_(raper)','Busta_Rhymes','Busted','Busy_Bee_Starski','Butelka_(grupa_muzyczna)','Buzu_Squat','Béla_Patkó','Bóm_Wakacje_w_Rzymie','B’z','CETI','CF98','Cacophony','Cadillac_Tah','Cain\'s_Offering','Cake','Caliban','Calla','Calvin_Harris','Cam\'ron','Camel','Cameo_(grupa_muzyczna)','Camille_Dalmais','Camouflage','Can','Candice_Accola','Candlemass','Cannibal_Corpse','Cansei_de_Ser_Sexy','Cap\'n_Jazz','Capharnaum','Capleton','Cappadonna','Captain_Beefheart_and_His_Magic_Band','Captain_Hollywood_Project','Captain_Jack','Carcass','Carl_Perkins','Carl_Thomas','Carlos_Santana','Carly_Rae_Jepsen','Carly_Simon','Caro_Emerald','Carole_King','Carpathian_Forest','Carpenters','Carrie_Underwood','Carrion','Cas_Haley','Casanova_(grupa_muzyczna)','Cascada','Cass_Elliot','Cassandra_Steen','Cassandra_Wilson','Cassie','Cassie_Steele','Cat_Power','Catamenia','Cathedral','Catherine_Ireton','Catholic_Discipline','Cavalera_Conspiracy','Cazwell','Cecil_Taylor','Celtic_Frost','Celtic_Woman','Cephalic_Carnage','Cezary_Ostrowski','Cezary_Pazura','Chad_Kroeger','Chada','Chainsaw','Chakuza','Chamillionaire','Chanel_(grupa_muzyczna)','Charlee','Charles_Bovery','Charles_Brown_(muzyk)','Charles_Lloyd','Charlie','Charlie_Mariano','Charlie_Parker','Charlie_Wilson','Charlotte_Gainsbourg','Charon_(grupa_muzyczna)','Charred_Walls_of_the_Damned','Chassis_(grupa_muzyczna)','Cher','Cheryl_Cole','Chet_Atkins','Chet_Baker','Chevelle','Chick_Corea','Chickenfoot','Chico_(grupa_muzyczna)','Chief_Kamachi','Children_of_Bodom','Chilli_(grupa_muzyczna)','Chimaira','Chingy','Chris_Botti','Chris_Brown_(piosenkarz)','Chris_Clark','Chris_Cornell','Chris_Isaak','Chris_Rea','Chris_Willis','Chris_de_Burgh','Chrisette_Michele','Christ_Agony','Christian_McBride','Christina_Aguilera','Christina_Milian','Christophe_Heral','Chuck_Berry','Chuck_D','Chuck_Schuldiner','Chumbawamba','Chupacabras','Chłopcy_z_Placu_Broni_(grupa_muzyczna)','Ciara','Ciech_(raper)','Cilvaringz','Cinq_G','Circle_Jerks','Cisza_jak_ta','Clan_of_Xymox','Clandestine_Blaze','Clann_Zú','Clannad','Clawfinger','Clazziquai','Clean_Bandit','Client','Clifford_Brown','Closterkeller','Clutch','Coal_Chamber','Coalition','Cobra_Starship','Cockney_Rejects','CocoRosie','Cocteau_Twins','Code_Red_(grupa_muzyczna)','Cody_Simpson','Coil','Colbie_Caillat','Colby_O\'Donis','Cold_187um','Cold_War_Kids','Coldplay','Collage_(grupa_muzyczna)','Color_(węgierska_grupa_muzyczna)','Colosseum','Colourbox','Colton_Ford','Coma','Comeback_Kid','Common','Common_Dream','Compton\'s_Most_Wanted','Con_Funk_Shun','Connie_Francis','Contemporary_Noise_Quintet','Contemporary_Noise_Sextet','Contra_Boys','Control_Denied','Cool_James_&_Black_Teacher','Cool_Kids_of_Death','Coolio','Cooper_Temple_Clause','Corbin_Bleu','Cormega','Corozone','Corruption','Courtney_Love','Coverdale/Page','Cozi_Costi','Cradle_of_Filth','Craig_David','Crazy_Frog','Crazy_Horse_(zespół_muzyczny)','Crazy_Town','Crazy_shampoo','Cream','Creation_of_Death','Cree_(grupa_muzyczna)','Creed','Creedence_Clearwater_Revival','Crionics','Crippled_Black_Phoenix','Crowbar','Crowded_House','Cryptopsy','Crystal_Castles','Crystal_Kay','Crystal_Waters','Csézy','Cult_of_Luna','Culture_Beat','Culture_Club','Current_93','Curse','Curtis_Fuller','Cutting_Crew','Cybotron_(grupa_muzyczna)','Cyndi_Lauper','Cynic','Cypress_Hill','Czerwone_Gitary','Czerwono-Czarni','Czesław_Bartkowski','Czesław_Mozil','Czesław_Niemen','Céline_Dion','D\'espairsRay','D-Flame','D12','D4D','DEUS','DJ?_Acucrack','DJ_600V','DJ_Aligator','DJ_Clue','DJ_Decks','DJ_Deszczu_Strugi','DJ_Drame','DJ_Envy','DJ_Kayslay','DJ_Keyz','DJ_Khaled','DJ_Kostek','DJ_Laz','DJ_Muggs','DJ_Quik','DJ_Remo','DJ_Scissorkicks','DJ_Shadow','DJ_Soina','DJ_Strong','DJ_Suss_One','DJ_Thoro','DJ_Tune','DJ_Whoo_Kid','DJ_Zero','DKA_(raper)','DMX','Daab','Daara_J','Daddy_DJ_(duet_muzyczny)','Daft_Punk','Dagadana','DahaBraha','Daimonion_(grupa_muzyczna)','Dalek_I_Love_You','Damageplan','Dame_Grease','Damian_Marley','Damian_Ukeje','Damnable','Damnation_(grupa_muzyczna)','Damon_Albarn','Dan_Bălan','Dan_Swanö','Dana_International','Danee_Doty','Daniel_Lavoie','Daniel_Melingo','Daniel_Merriweather','Daniel_Powter','Danity_Kane','Danko_Jones','Danny_(piosenkarz)','Danuta_Rinn','Danzel','Danzig','Darin','Dariusz_Dusza','Dark_Avenger','Dark_Empire','Dark_Funeral','Dark_Lotus','Dark_Millennium','Dark_Moor','Dark_Tranquillity','Darkest_Hour','Darkspace','Darkthrone','Darmozjady','Darzamat','Das_EFX','Dave_Grohl','Dave_Matthews','Dave_Matthews_Band','David_Archuleta','David_Bowie','David_Cook','David_Gahan','David_Garrett_(skrzypek)','David_Gilmour','David_Gray_(piosenkarz)','David_Guetta','David_Hodges','David_Jassy','David_Murray','David_Sylvian','David_Tavaré','Dawid_Podsiadło','Daylight_Dies','De_La_Soul','De_Mono','De_Press','De_Su','Dead_Can_Dance','Dead_Kennedys','Dead_Prez','Dead_by_Sunrise','Deadlock_(grupa_muzyczna)','Deadlock_(niemiecka_grupa_muzyczna)','Deadmau5','Death','Death_Cab_for_Cutie','Death_In_Vegas','Death_from_Above_1979','Deathchain','Deathspell_Omega','Deathstars','Deborah_Cox','Decapitated','December\'s_Fire','Decree','Dee_Dee_Ramone','Deep','Deep_Purple','Deerhunter','Def_Leppard','Def_Squad','Defekt_Muzgó','Deftones','Deicide','Deine_Lieblings_Rapper','Deivos','Delain_(grupa_muzyczna)','Delight','Delta_Goodrem','Dem_Franchise_Boyz','Demi_Lovato','Demons_&_Wizards','Depeche_Mode','Depresszió','Der_Wahnsinn','Derek_and_the_Dominos','Desireless','Destiny\'s_Child','Destroyer','Destroyers','Destruction','Deus_Mortem','Deuter_(grupa_muzyczna)','Deutsch_Nepal','Dev_(piosenkarka)','DevilDriver','Devil_Doll','Devilish_Impressions','Devilyn','Devin_Townsend','Devin_the_Dude','Dezerter_(grupa_muzyczna)','Dezire','DiM','Diablo_(grupa_muzyczna)','Diabolical_Masquerade','Diabulus_in_Musica','Diam\'s','Diamond_Head_(grupa_muzyczna)','Diana_Krall','Diana_Ross','Diana_Vickers','Diary_of_Dreams','Dido_(piosenkarka)','Die_Flippers','Die_Toten_Hosen','Dies_Irae_(grupa_muzyczna)','Dif_Juz','Digit_All_Love','Digital_Underground','Dilated_Peoples','Dima_Biłan','Dimmu_Borgir','Dinamit','Dinosaur_Jr','Dio','Diox','Dir_en_grey','Dire_Straits','Dirty_Pretty_Things','Dirty_Rotten_Imbeciles','Disciple','Disclosure_(zespół_muzyczny)','Dismember','Dissection','Dissenter','Disturbed','Divine_Heresy','Division_by_Zero','Dixon37','Dizzee_Rascal','Djerv','Dogz','Dohtor_Miód','Dokken','Dollar_Brand','Dolly_Parton','Dolly_Roll','Dolores_O\'Riordan','Dolorian','Dom_o_Zielonych_Progach','DonGURALesko','Don_Carlos_(muzyk)','Don_Cherry','Don_Davis_(kompozytor)','Don_McLean','Don_Omar','Donald_Fagen','Donatan','Doniu','Donna_Summer','Dope','Dope_Stars_Inc.','Dorota_Jarema','Dorota_Miśkiewicz','Dorota_Rabczewska','Dorrough','Down','Downface','Dr._Dre','Dr.no','Dr_Alban','Drag-On','DragonForce','Dragonette','Dragonland','Drake_(grupa_muzyczna)','Drake_Bell','Dream_Evil','Dream_Theater','Dresta','Drowning_Pool','Dubians','Dublin_Death_Patrol','Duck_Sauce','Duffy','Dulce_María','Duman','Dune_(grupa_muzyczna)','Duran_Duran','Dust_Blow','DwaZera','Dying_Fetus','Dynamind','Dzieci_Kapitana_Klossa','Dzieci_z_Brodą','Dzmitryj_Kałdun','Dødheimsgard','Dżamble','Dżem_(grupa_muzyczna)','E-40','E.M.D.','EKT-Gdynia','EPMD','Eagle-Eye_Cherry','Eagles','Ear_Bleeding_Disorder','Earshot','Earth','EastWest_Rockers','East_Clubbers','Eazy-E','Eberhard_Weber','EchoBrain','Echo_(grupa_muzyczna)','Ed_Sheeran','Edda_Művek','Eddie_Murphy','Eddie_Rabbitt','Eddie_Van_Halen','Edguy','Edin_Karamazov','Edward_Stachura','Edward_Vesala','Edwyn_Collins','Edyta_Bartosiewicz','Edyta_Geppert','Edyta_Górniak','Edyta_Strzycka','Ego_(grupa_muzyczna)','Egzekuthor','Eiffel_65','Einar_Örn_Benediktsson','Einstürzende_Neubauten','Eis_(raper)','Eisbrecher','Eko_Fresh','Ektomorf','El_Cata','El_Sueño_de_Morfeo','Elan_Sara_DeFan','Elbow','Eldo','Electric_Light_Orchestra','Electric_Six','Electric_Wizard','Elektric_Music','Elektryczne_Gitary','Element_Eighty','Elena_Paparizou','Elf_(grupa_muzyczna)','Elffor','Elgibbor','EliZe','Elis_Regina','Eliza_Doolittle','Ellie_Goulding','Első_Emelet','Elton_John','Eluveitie','Elvin_Jones','Elvis_Presley','Elysium_(grupa_muzyczna)','Elżbieta_Adamiak_(piosenkarka)','Emade','Embrace_(amerykańska_grupa_muzyczna)','Embraze','Emerson,_Lake_and_Palmer','Emigranci_(grupa_muzyczna)','Emil_Blef','Emilie_Autumn','Emilíana_Torrini','Eminem','Emma_Bunton','Emma_Marrone','Emmanuelle_Seigner','Emmelie_de_Forest','Emmy_Rossum','Emmylou_Harris','Emotional_Elvis','Empatic','Emperor','Empire_of_the_Sun','Endefis','Enej','Engorged','Enigma_(grupa_muzyczna)','Ennio_Morricone','Enrique_Iglesias','Ensiferum','Enslaved','Enslavement_of_Beauty','Enter_Chaos','Entombed','Envee','Enya','Epica_(grupa_muzyczna)','Equilibrium_(grupa_muzyczna)','Era_(projekt_muzyczny)','Erasure','Eric_B._&_Rakim','Eric_Burdon','Eric_Clapton','Eric_Johnson','Erik_Lundborg','Erik_Segerstedt','Eros_Ramazzotti','Erykah_Badu','Escape_the_Fate','Esmée_Denters','Esqarial','Essence_of_Sorrow','Estatic_Fear','Estelle','Estopa','Eternal_(grupa_muzyczna)','Ethelyn','Etta_James','Europe_(grupa_muzyczna)','Eurythmics','Eva_Cassidy','Eva_Dahlgren','Evanescence','Eve_(raperka)','Evergrey','Evile','Ewa_Bem','Ewa_Braun_(grupa_muzyczna)','Ewa_Demarczyk','Ewa_Farna','Ewa_Lewandowska','Ewa_Małas-Godlewska','Ewa_Sonnet','Ewelina_Flinta','Ewelina_Lisowska','Ex_Deo','Example','Excalion','Excreted_Alive','Exhumed','Exo','Exodus_(amerykański_zespół_muzyczny)','Exodus_(polska_grupa_muzyczna)','Exotic','Explorers_Club_(grupa_muzyczna)','Eye_for_an_Eye_(grupa_muzyczna)','Eyes_Set_to_Kill','F(x)','F.Y.P','Fabolous','Fabuła_(grupa_muzyczna)','Fahrenheit_(grupa_muzyczna)','Fairyland','Faith_Evans','Faith_No_More','Faithless','Falarek_Band','Falco','Falkenbach','Fall_Of_Serenity','Fall_Out_Boy','Familia_H.P.','Family','Fanatic','Fantômas_(grupa_muzyczna)','Far_East_Movement','Farba_(grupa_muzyczna)','Farben_Lehre','Farel_Gott','Fasolki','Fat_Joe','Fatboy_Slim','Fates_Warning','Fatman_Scoop','Fatum_(grupa_muzyczna)','Faust_(serbska_grupa_muzyczna)','Fear','Fear_Factory','Fecó_Balázs','Fedde_Le_Grand','Feeder_(grupa_muzyczna)','Feel','Felicjan_Andrzejczak','Fenomen_(grupa_muzyczna)','Ferry_Corsten','Field_of_View','Fields_of_the_Nephilim','Fightstar','Filter','Finntroll','Fintelligens','Fiona_Apple','Firebirds','Firma_(grupa_muzyczna)','Fish','Fishbone','Fisz','Flapjack','Flash_and_the_Pan','Flava_Flav','Flaw','Fleet_Foxes','Fleetwood_Mac','Fler','Fleurety','Flexxip','Flipper_(grupa_muzyczna)','Flo_Rida','Flobots','Flogging_Molly','Florence_Welch','Florence_and_the_Machine','FlyKKiller','Flyleaf','Flymore','Fo\'_Clips','Foals','Focus_(grupa_muzyczna)','Fokus','Fonográf','Fonzerelli','Foo_Fighters','For_My_Pain...','Forbidden','Foreigner','Formacja_Nieżywych_Schabuff','Fort_Minor','Fortress','Foster_the_People','Fotoness','Foxy_Brown','Fragma','Frank_Ocean','Frank_Zappa','Frankie_Goes_to_Hollywood','Frankie_Laine','Frankie_Valli','Franz_Ferdinand','Freddie_Mercury','Fredrik_Kempe','Free_(raperka)','Freedom_Call','Freemasons','From_Autumn_to_Ashes','Frontside','Frühstück_(grupa_muzyczna)','Fu_(raper)','Fuck...I\'m_Dead','Fuel_(grupa_muzyczna)','Full_Tilt_Boogie_Band','Fundacja_1','Funker_Vogt','Funkmaster_Flex','Funky_Filon','Furia_Futrzaków','Futro_(grupa_muzyczna)','G-Hot','G-Unit','GM49','GRITS','GZA','Gabriel_Fleszar','Gabriela_Kulka','Gabriella_Cilmi','Gackt','Gala_Rizzatto','Gallows','Game_(raper)','Gamma_Ray','Gang_Gang_Dance','Gang_Marcela','Gang_Starr','Gang_of_Four','Ganxsta_Zolee','Garbage','Gardenian','Gareth_Emery','Gargantua_(grupa_muzyczna)','Gary_Moore','Gary_Peacock','Gavin_DeGraw','Gebroeders_Ko','Geddy_Lee','Gedeon_Jerubbaal','Gehenna_(grupa_muzyczna)','Gene_Kelly','Gene_Simmons','Genesis_(grupa_muzyczna)','Gentle_Giant','George_Adams','George_Harrison','George_Michael','George_Mraz','George_Redman','George_Wallington','George_Winston','Geri_Halliwell','Gerry_Goffin','Gerry_Rafferty','Gershon_Kingsley','Ghostface_Killah','Gienek_Loska','Gigi_d\'Agostino','Gil_Evans','Giles,_Giles_and_Fripp','Ginger_Baker','Girls_Aloud','Girls’_Generation','Girugamesh','Glay_(zespół)','Glen_Hansard','Glen_Moore','Glenn_Frey','Glenn_Hughes','Glenn_Madeiros','Glenn_Tipton','Gloria_Estefan','Gloria_Gaynor','Goatlord_(grupa_muzyczna)','God_Dethroned','God_Forbid','God_Is_an_Astronaut','Godsmack','Godspeed_You!_Black_Emperor','Gogol_Bordello','Gojira','Golden_Life','Goldfinger_(grupa_muzyczna)','Goldfrapp','Golec_uOrkiestra','Gong_(rockowa_grupa_muzyczna)','Goo_Goo_Dolls','Good_Charlotte','Good_Riddance','Goodbye_Mr._Mackenzie','GoonRock','Goran_Bregović','Gorefest','Gorgeous_Frankenstein','Gorgoroth_(grupa_muzyczna)','Gorguts','Gorilla_Zoe','Gorillaz','Gorzki','Gosia_Andrzejewicz','Gossip_(grupa_muzyczna)','Gotye','Gov\'t_Mule','Goya_(grupa_muzyczna)','Graal_(grupa_muzyczna)','Grace_Jones','Graham_McPherson','Grailknights','Grammatik','Grand_Puba','Grandaddy','Grandmaster_Flash','Grandmaster_Flash_and_the_Furious_Five','Grateful_Dead','Grave_(grupa_muzyczna)','Grave_Digger','Gravediggaz','Graveland','Green_Carnation','Green_Day','Greg_Edmonson','Gregorian','Grey_Daze','Greyson_Chance','Grimlord','Grinderman','Grip_Inc.','Grizzly_Bear','Groove_Coverage','Group_Home','Grubson','Grupa_Operacyjna','Grzegorz_Borek','Grzegorz_Bukała','Grzegorz_Ciechowski','Grzegorz_Markowski','Grzegorz_Skawiński','Grzegorz_Turnau','Grégoire','Grégory_Lemarchal','Guano_Apes','Gucci_Mane','Guess_Why','Guilt_Machine','Guns_N\'_Roses','Guru_(raper)','GusGus','Gustavo_Santaolalla','Gutbucket','Gwen_Stefani','Gyllene_Tider','Gym_Class_Heroes','H-Blockx','H.A.R.D.','HA-DWA-O!','HHead','HIM','HST_(raper)','HaWthorn','Habakuk_(grupa_muzyczna)','Haddaway','Hades_Almighty','Hadrian_Filip_Tabęcki','Hagaw','Haiku_Fristajl','Halestorm','Halford','Halina_Benedyk','Halina_Frąckowiak','Halina_Kunicka','Halina_Młynkowa','Halina_Żytkowiak','Hallucinogen','Hammer_(grupa_muzyczna)','Hammerfall','Handsome_Furs','Hania_Stach','Hank_Jones','Hank_Snow','Hank_Williams','Hanka_Ordonówna','Hanna_Banaszak','Hanna_Pakarinen','Hannah_Montana','Hans_(raper)','Hans_Koller','Hans_Zimmer','Hanzel_und_Gretyl','Happy_Cactus','Happysad','Hard-Fi','Hardcore_Superstar','Hari_Mata_Hari','Haris_Aleksiu','Harlem_(grupa_muzyczna)','Harold_Faltermeyer','Harry_Edison','Haste_The_Day','Hate_(grupa_muzyczna)','Hate_Eternal','Hatebreed','Havok_(grupa_muzyczna)','Hawkwind','Haydamaky','Hayley_Williams','HeadUp','Hear','Heaven_Shall_Burn','Heaven_and_Hell_(grupa_muzyczna)','Heavy_Pettin\'','Hedfirst','Hefeystos','Heidevolk','Heidi_Montag','Helena_Vondráčková','Helheim_(grupa_muzyczna)','Heljareyga','Hell-Born','Hellfire_(grupa_muzyczna)','Hellhammer_(grupa_muzyczna)','Helloween','Helmet','Hemp_Gru','Henry_Cow','Herb_Ellis','Herbie_Hancock','Herbie_Harper','Hermh','Hesperion_XXI','Hetman_(grupa_muzyczna)','Hey','Hi-Tek','HiFi_Banda','Highland_(grupa_muzyczna)','Hilary_Duff','Hinder','Hironobu_Kageyama','Hole','Hollenthon','Holloee_Poloy','Holly_Johnson','Homo_Twist','Honor_(grupa_muzyczna)','Honorata_Skarbek','HooDoo_Band','Hoobastank','Hooverphonic','Horde','Horrorpops','Horrorscope','Horse','Hot_Action_Cop','Hotel_Kosmos','Hotrod_Frankie','Houk','Hound_Dog_Taylor','Hour_of_Penance','House_of_Krazees','Hołd_(grupa_muzyczna)','Hubert_Dobaczewski','Hubert_Sumlin','Hugh_Laurie','Hugh_Mundell','Hukos','Human','Hungarica','Hungry_Lucy','Hungária','Hunter','Hurt_(amerykańska_grupa_muzyczna)','Hurt_(polska_grupa_muzyczna)','Hurts','Hybrid','Hyperial','Hypocrisy','Hélène_Ségara','Hüsker_Dü','I:scintilla','IAMX','IGS','INXS','IQ_(grupa_muzyczna)','IRA_(grupa_muzyczna)','I_(grupa_muzyczna)','I_Am_Kloot','I_Spy','Ian_McDonald_(muzyk)','Ian_Van_Dahl','Ice_Ages','Ice_Cube','Iced_Earth','Ich_Troje','Ida_Corr','Iggy_Pop','Igor_Herbut','Ihsahn','Ike_&_Tina_Turner','Ill_Niño','Ill_Repute','Illusion_(grupa_muzyczna)','Immolation','Immortal','Impaled_Nazarene','Impious','Impuls_(grupa_muzyczna)','In-Grid','InDespair','In_Extremo','In_Flames','In_Slaughter_Natives','In_the_Woods...','Incantation','IncarNations','Incubus','India.Arie','Indiana_Evans','Indica','Indigo_(grupa_muzyczna)','Indigo_Girls','Indila','Indios_Bravos','Indukti','Infa.Red_&_Cross','Infected_Mushroom','Infectious_Grooves','Infernal_(grupa_muzyczna)','Infernal_War','Inkubus_Sukkubus','Inna_(piosenkarka)','Insane_Clown_Posse','Insidious_Disease','Insomnium','Inspectah_Deck','Intensity','Interpol_(grupa_muzyczna)','Iowa_Super_Soccer','Iperyt_(grupa_muzyczna)','Ira_(grupa_muzyczna)','Irena_Jarocka','Irena_Malkiewicz','Irena_Santor','Irene_Papas','Ireneusz_Dudek','Iron_Lung_Corp.','Iron_Maiden','Isaac_Hayes','Isabelle_Adjani','Isabelle_Huppert','Isis','Isis_Gee','Itzhak_Perlman','Iva_Bittová','Ivan_i_Delfin','Iwona_Węgrowska','Iyaz','Iza_Lach','Izabela_Trojanowska','Izrael_(grupa_muzyczna)','Izzy_Stradlin','J-Bo','J-Hood','J-five','J.J._Cale','J._R._Monterose','JD_Davis','JLS','JWP','Ja_Rule','Jacek_Bednarek_(muzyk)','Jacek_Bończyk','Jacek_Kaczmarski','Jacek_Kotlarski','Jacek_Kuderski','Jacek_Lachowicz','Jacek_Lech','Jacek_Niedziela','Jacek_Olter','Jacek_Perkowski','Jacek_Skubikowski','Jack_Bruce','Jack_Johnson_(muzyk)','Jack_the_Ripper_(grupa_muzyczna)','Jackie_Jackson','Jacques_Brel','Jadakiss','Jaden_Smith','Jafia_Namuel','Jagged_Edge','Jake_Holmes','Jakub_Badach','Jakub_Sienkiewicz','Jamal','Jamelia','James_Blunt','James_Horner','James_Marsters','James_Morrison','James_Newton_Howard','James_Yancey','Jamie_Cullum','Jamiroquai','Jan_Akkerman','Jan_Benedek','Jan_Bo','Jan_Bokszczanin','Jan_Borysewicz_(muzyk)','Jan_Garbarek','Jan_Hammer','Jan_Paweł_II','Jan_Pietrzak','Jan_Skrzek','Jan_Wróblewski_(muzyk)','Jane\'s_Addiction','Janelle_Monáe','Janet_Jackson','Janis_Joplin','Janitor_Joe','Janusz_Gniatkowski','Janusz_Grudziński','Janusz_Grzywacz','Janusz_Iwański','Janusz_Koman','Janusz_Muniak','Janusz_Panasewicz','Janusz_Popławski_(śpiewak)','Janusz_Radek','Janusz_Stefański','Jar_(grupa_muzyczna)','Jarabe_de_Palo','Jarosław_Weber','Jarosław_Śmietana','Jars_of_Clay','Jason_Derülo','Jason_Donovan','Jason_Mraz','Jasper_van_\'t_Hof','Jauns_Mēness','Jay-Z','Jay_Delano','Jay_Sean','Jay_Z','Jaylib','Jean-Louis_Murat','Jean-Michel_Jarre','Jeanette_Biedermann','Jeannie_Ortega','Jeden_Osiem_L','Jedward','Jeff_Buckley','Jeff_Loomis','Jefferson_Airplane','Jeffree_Star','Jello_Biafra','Jem','Jenni_Vartiainen','Jennie_Tebler\'s_Out_of_Oblivion','Jennifer_Hudson','Jennifer_Lopez','Jennifer_Paige','Jens_Lekman','Jeremi_Przybora','Jeremih','Jeremy_Soule','Jermaine_Dupri','Jermaine_Jackson','JerryC','Jerry_Cantrell','Jerry_Dodgion','Jeru_the_Damaja','Jerzy_Mazzoll','Jerzy_Mercik','Jerzy_Milian','Jerzy_Połomski','Jerzy_Semkow','Jerzy_Wasowski','Jess_Glynne','Jessica_Andrews','Jessica_Mauboy','Jessie_J','Jesu','Jesus_Chrysler_Suicide','Jesus_Lizard','Jet_(grupa_muzyczna)','Jethro_Tull','Jibbs','Jim_Jones_(raper)','Jimi_Hendrix','Jimmy_Eat_World','Jimmy_Giuffre','Jimmy_Page','Jimmy_Reed','Jimmy_Somerville','Jiří_Korn','JoJo','Joachim_Kühn','Joachim_Mencel','Joachim_Witt','Joana_Zimmer','Joanna_Liszowska','Joanna_Newsom','Joanna_Słowińska','Job_for_a_Cowboy','Jodie_Connor','Jody_Watley','Joe_Chambers','Joe_Cocker','Joe_Dassin','Joe_Henderson','Joe_Hisaishi','Joe_Satriani','Joey_Ramone','John_Altman','John_Bramwell','John_Cale','John_Cena','John_Coltrane','John_Deacon','John_Entwistle','John_Frusciante','John_Lee_Hooker','John_Legend','John_Lennon','John_Mayer','John_McLaughlin_(muzyk)','John_Newman_(muzyk)','John_Norum','John_Parish','John_Petrucci','John_Porter','John_Tchicai','John_Travolta','John_Williams','Johnny_Cash','Johnny_Coyote','Johnny_Moore\'s_Three_Blazers','Johnny_Nash','Johnny_Thunders','Johnny_Winter','Jon_Anderson','Jon_Bon_Jovi','Jon_Lajoie','Jon_and_Vangelis','Jonas_Brothers','Jonathan_Davis','Jonny_Jakobsen','Jordan_Rudess','Jordi_Savall','Jordin_Sparks','Jorgos_Skolias','Jorrgus','Joseph_Simmons','Josey_Scott','Josh_Groban','Josh_Klinghoffer','Joss_Stone','Joss_Whedon','Joy_Division','João_Gilberto','Juanes','Judas_Priest','Judge_Jules','Judy_Garland','Juelz_Santana','Jula','Julia_Marcell','Julia_i_Grzegorz_Kopala','Julianne_Hough','Julie_Driscoll','Julio_Iglesias','Junior_Caldera','Junior_Reid','Junior_Stress','Juno_Reactor','Juras_&_Wigor','Jurassic_5','Justice_(francuska_grupa_muzyczna)','Justin_Bieber','Justin_Timberlake','Justyna_Steczkowska','Juvenile','Jóhanna_Guðrún_Jónsdóttir','Jón_Þór_Birgisson','Józef_Skrzek','Jørn_Lande','K\'naan','K-Ci_&_JoJo','K-Dee','K.A.S.T.A.','KAT','KAT-TUN','KAT_&_Roman_Kostrzewski','KRS-One','KSU','KT_Tunstall','Kabaddi_kabaddi_kabaddi_kabaddi','Kabanos_(grupa_muzyczna)','Kabaret_Ani_Mru-Mru','Kabaret_Moralnego_Niepokoju','Kaczor_(raper)','Kahil_El\'Zabar\'s_Ritual_Trio','Kaiser_Chiefs','Kajman_(raper)','Kalafina','Kaledon','Kali_(raper)','Kaliber_44','Kalmah','Kalwi_&_Remi','Kamelot','Kanał_Audytywny','Kancelarya','Kansas_(grupa_muzyczna)','Kanye_West','Kaoma','Kapela_ze_Wsi_Warszawa','Kapitan_Nemo_(wokalista)','Kara\'s_Flowers','Karcer_(grupa_muzyczna)','Kardinal_Offishall','Karel_Gott','Karel_Kryl','Karimski_Club','Karjalan_Sissit','Karl_Sanders','Karolina_Kozak','Karramba','Kartoon','Kasa_Chorych','Kasabian','Kasia_Cerekwicka','Kasia_Kowalska','Kasia_Nova','Kasia_i_Wojtek_(grupa_muzyczna)','Kaskade','Kat_DeLuna','Kataklysm','Katarzyna_Cerekwicka','Katarzyna_Groniec','Katarzyna_Klich','Katarzyna_Kurzawska','Katarzyna_Nosowska','Katarzyna_Skrzynecka','Katarzyna_Sobczyk','Katarzyna_Stankiewicz','Katatonia_(grupa_muzyczna)','Kate_Alexa','Kate_Bush','Kate_Nash','Kate_Ryan','Kate_Voegele','Katerine_Avgoustakis','Katie_Melua','Katie_Price','Katy_B','Katy_Perry','Katy_Rose','Kawałek_Kulki','Kayah','Kaz_Lux','Kazik_Staszewski','Kazik_na_Żywo','Keane','Keep_of_Kalessin','Keizo_Nakanishi','Kelis','Kelli_Ali','Kelly_Clarkson','Kelly_Osbourne','Kelly_Rowland','Kenny_Barron','Kenny_G','Kenny_Garrett','Kenny_Washington','Kent_(grupa_muzyczna)','Kenza_Farah','Keri_Hilson','Kerli','Kermit_Driscoll','Kesha_Sebert','Kevin_Martin_(muzyk)','Kevin_Rudolf','Keyshia_Cole','Khaled','Khanate','Khia','Kid_Cudi','Killah_Priest','Killarmy','Killaz_Group','Killers_(grupa_muzyczna)','Killing_Joke','Killswitch_Engage','Kim_Nowak','Kimberly_Wyatt','Kimbra','King_Crimson','King_Diamond','King_Diamond_(grupa_muzyczna)','Kings_of_Convenience','Kings_of_Leon','Kinsky_(grupa_muzyczna)','Kirk_Franklin','Kiss_(zespół_muzyczny)','Kitaro','Kitty_Kat_(raper)','Kiuas','Klan_(zespół_muzyczny)','Klaus_Badelt','Klaus_Mitffoch','Klaus_Schulze','Klaxons','Klincz_(grupa_muzyczna)','Kling_Klang','Knoc-turn\'al','Kobong','Kobra_(raper)','Kobranocka','Kofi','Kolaboranci','Koli','Koman_Band','Kombajn_do_Zbierania_Kur_po_Wioskach','Kombi_(zespół_muzyczny_1976-1992)','Kombii','Komety','Koniec_Świata_(grupa_muzyczna)','Konkwista_88','Konopians','Konrad_Kucz','Kontrust','Kool_G_Rap','Kora_(wokalistka)','Korba_(grupa_muzyczna)','Korn','Korpiklaani','Korál','Kosmetyki_Mrs._Pinki','Kostek_Joriadis','Kości_(grupa_muzyczna)','Kr\'shna_Brothers','Kraftwerk','Krakowska_Grupa_Bluesowa','Kreator','Kremlowskie_Kuranty','Kreuzweg_Ost','Kriegsmaschine','Kris_Allen','Kris_Kristofferson','Krisiun','Krista_Siegfrids','Kristin_Chenoweth','Kristina_Peláková','Kristinia_DeBarge','Kroke','Krokus_(grupa_muzyczna)','Krystyna_Prońko','Kryzys_(grupa_muzyczna)','Krzak_(grupa_muzyczna)','Krzysztof_Antkowiak','Krzysztof_Daukszewicz','Krzysztof_Grabowski_(wokalista)','Krzysztof_Herdzin','Krzysztof_Janczak_(aktor)','Krzysztof_Kiljański','Krzysztof_Kolberger','Krzysztof_Komeda','Krzysztof_Krawczyk','Krzysztof_Misiak','Krzysztof_Napiórkowski','Krzysztof_Respondek','Krzysztof_Woliński_(muzyk)','Krzysztof_Zgraja','Ks76','Kult_(zespół_muzyczny)','Kumka_Olik','Kurupt','Kury','Kwartet_Jorgi','Kwintet_Śląskich_Kameralistów','Ky-Mani_Marley','Kylesa','Kylie_Minogue','Közi','L\'Arc~en~Ciel','L-Dópa','L.Stadt','L.U.C','LCD_Soundsystem','LFO_(grupa_muzyczna)','LL_Cool_J','LMFAO','LaFee','La_Fouine','La_Roux','La_Vache','La_ViVe','La_the_Darkman','Lacrimosa','Lacuna_Coil','Lady_Antebellum','Lady_Gaga','Lady_Pank','Lady_Sovereign','Ladyhawke','Ladytron','Laibach','Laidback_Luke','Lajos_D._Nagy','Lake_of_Tears','Lalaine','Lamb_(grupa_muzyczna)','Lamb_of_God','Lana_Del_Rey','Langhorns','Lao_Che','Lara_Fabian','Lars_Danielsson','Laura_Branigan','Laura_Pausini','Lauren_Bennett','Lauri_Ylönen','Laurie_Anderson','Laurie_Mayer','Lauryn_Hill','Le_Concert_des_Nations','Leash_Eye','Leathermouth','Leaves\'_Eyes','Lech_Janerka','Led_Zeppelin','Lee_Jung_Hyun','Lee_Soo_Young','Leighton_Meester','Lemar_Obika','Lena_Meyer-Landrut','Leniuchowo','Leniwiec_(grupa_muzyczna)','Lenka_(piosenkarka)','Lennie_Tristano','Lenny_Kravitz','Lenny_Valentino','Leon_Bolier','Leon_Russell','Leona_Lewis','Leonard_Cohen','Leonard_Jakubowski','Leonid_Rudenko','Les_Dieses','Less_Than_Jake','Leszcze_(zespół_muzyczny)','Leszek_Możdżer','Letters_From_Silence','Lexington_Bridge','Lexy_&_K-Paul','Liber_(raper)','Lidia_Kopania','Lidia_Pospieszalska','Lidia_Stanisławska','Life,_Sex_&_Death','Lifehouse','Lil\'_Flip','Lil\'_Keke','Lil\'_Kim','Lil_Boosie','Lil_Jon','Lil_Scrappy','Lil_Wayne','Lili_Marlene_(grupa_muzyczna)','Lilu','Lily_Allen','Limbonic_Art','Limp_Bizkit','Lin_Brotherz','Linda_Perry','Lindsay_Cooper','Lindsay_Lohan','Linkin_Park','Lionel_Richie','Lipali','Liquid_Tension_Experiment','Liroy','Lisa_Lopes','Little_Boots','Little_Dragon','Little_Richard','Litvintroll','Liv_Kristine','Live_(zespół_muzyczny)','Liza_Minnelli','Lizz_Wright','Lloyd_(piosenkarz)','Lloyd_Banks','Lloyd_Brevett','Lock_Up','Logh','Lombard_(zespół_muzyczny)','London_Philharmonic_Orchestra','Lonnie_Donegan','Lord_(grupa_muzyczna)','Lorde','Lordi','Loreen','Loreena_McKennitt','Lorie','Los_Trabantos','Lost_Soul','Lostprophets','Lou_Reed','Love_(grupa_muzyczna)','Lovex','Lucenzo','Luciano_Pavarotti','Lucky_Thompson','Ludacris','Luke_Benward','Lunar_Aurora','Lunatica','Lunchbox_Avenue','Luniz','Lupe_Fiasco','Lustmord','Luther_Vandross','Lux_Occulta','Luxtorpeda_(grupa_muzyczna)','Lydia_Lunch','Lyijykomppania','Lykke_Li','Lyle_Mays','Lynyrd_Skynyrd','M.I.A.','M.O.D.','M.O.P.','MBrother','MC_Eiht','MC_Hammer','MC_Lyte','MC_Ren','MENoMiNi','MGMT','MURS','MaNga','Ma_Rainey','Maanam','Mac_Miller','Macca_Squad','Machinae_Supremacy','Machine_Head','Maciej_Balcar','Maciej_Cieślak','Maciej_Maleńczuk','Maciej_Miecznikowski','Maciej_Silski','Mack_10','Macy_Gray','Mad_Season','Madame_(grupa_muzyczna)','Made_in_Poland_(grupa_muzyczna)','Made_of_Hate','Madina_lake','Madness','Madonna_(piosenkarka)','Madox_(piosenkarz)','Madvillain','Mafia_(grupa_muzyczna)','Magazine_(grupa_muzyczna)','Magda_Femme','Magda_Piskorczyk','Magda_Steczkowska','Magda_Umer','Magdalena_Fronczewska','Magdalena_Wójcik_(piosenkarka)','Maggie_Reilly','Magnetic_Man','Magnus_Carlsson','Mahavatar','Mai_Kuraki','Maja_Kraft','Maja_Sikorowska','Majka_Jeżowska','Makeba_Riddick','Mal_Waldron','Malcolm_Lincoln','Malediction','Maleo_Reggae_Rockers','Malevolent_Creation','Malice_Mizer','Malignant_Tumour','Manchester_(grupa_muzyczna)','Mandy_Capristo','Manfred_Mann_Chapter_Three','Manhattan_(grupa_muzyczna)','Manic_Street_Preachers','Mann_(raper)','Manowar','Manticora','Manu_Chao','Marc_Anthony','Marcel_Woods','Marcin_Mroziński','Marcin_Nowakowski','Marcin_Rozynek','Marcin_Siegieńczuk','Marcin_Wyrostek','Marcin_Świetlicki','Marco_Antonelli','Marco_Mengoni','Marduk_(grupa_muzyczna)','Marek_Biliński','Marek_Dyjak','Marek_Grechuta','Marek_Jackowski','Marek_Juza','Marek_Kondrat','Marek_Piekarczyk','Marek_Torzewski','Margaret_(piosenkarka)','Margaret_Berger','Maria_Koterbska','Maria_Mena','Maria_Peszek','Maria_Pomianowska','Maria_Sadowska','Mariah_Carey','Marie_Fredriksson','Marika_(wokalistka)','Marillion','Marilyn_Manson_(grupa_muzyczna)','Marina_Arcangeli','Marina_Łuczenko','Mariusz_Lubomski','Mark_Knopfler','Mark_Ronson','Mark_Tremonti','Markus_Schulz','Markéta_Irglová','Marlena_Drozdowska','Marley_Marl','Marlon_Jackson','Marlon_Roudette','Maroon','Maroon_5','Marquess','Marta_Mirska','Marta_Wiśniewska','Martika','Martin_Chambers','Martin_Gore','Martin_Solveig','Marty_Friedman','Martyna_Jakubowicz','Marvin_Gaye','Mary_Jane_Blige','Maryla_Rodowicz','Marysia_Starosta','Masachist','Masala_(grupa_muzyczna)','Mashrou\'_Leila','Massacre_(grupa_muzyczna)','Massey','Massive_Attack','Masta_Killa','Masterplan','Mastiphal','Mastodon','Matchbox_Twenty','Matching_Mole','Mathematics','Matheo','Mathplanete','Matt_Pokora','Mattafix','Max_Farenthide','Maxi_Jazz','Maximum_the_Hormone','Maxine_Ashley','Maxïmo_Park','Mayhem','Maynard_Ferguson','Maypole_(grupa_muzyczna)','Mazzoll_&_Arhythmic_Perfection','Małgorzata_Ostrowska_(piosenkarka)','Małolat','Małżeństwo_z_rozsądku_(zespół_muzyczny)','McFly','Meat_Loaf','Mecano','Mech_(grupa_muzyczna)','Medina_(piosenkarka)','Mediæval_Bæbes','Mega_Dance','Megadeth','Meja','Melanie_Chisholm','Melanie_Fiona','Melechesh','Melissa_Auf_der_Maur','Melody_Gardot','Melody_Thornton','Melvins','Memphis_Bleek','Men_at_Work','Menhir_(grupa_muzyczna)','Merciless','Mercyful_Fate','Mesajah','Meshuggah','Mess_Age','Metal_Militia','Metalium','Metallica','Meth,_Ghost_&_Rae','Method_Man','Method_Man_&_Redman','Methods_of_Mayhem','Metronomy','Metsatöll','Mezo','Miami_Sound_Machine','Mic_Geronimo','Michael_Andrews','Michael_Angelo_Batio','Michael_Bublé','Michael_Giacchino','Michael_Jackson','Michael_Kiske','Michael_Mantler','Michael_Pinnella','Michael_Rose','Michał_Bajor','Michał_Dąbrówka','Michał_Jelonek','Michał_Jurkiewicz','Michał_Lorenc','Michał_Rudaś','Michał_Urbaniak','Michał_Wiśniewski','Michał_Żebrowski_(aktor)','Michel_Herr','Michel_Petrucciani','Michel_Sardou','Michel_Teló','Michelle_Branch','Michelle_Williams_(piosenkarka)','Midnattsol','Midnight_Oil','Midtown','Mieczysław_Fogg','Mieczysław_Górka','Mieczysław_Jurecki','Mieczysław_Kosz','Mieczysław_Szcześniak','Miguel_and_the_Living_Dead','Mihály_Dresch','Mika_(muzyk)','Mika_Urbaniak','Mike_Oldfield','Mike_Patton','Mike_Posner','Mikko_Tarmia','Miklós_Varga','Mikołaj_Trzaska','Mikromusic','Milano_(grupa_muzyczna)','Miles_Davis','Miley_Cyrus','Milk_Inc.','Milkshop','Millencolin','Million_Dead','Milt_Jackson','Mims','Mindless_Self_Indulgence','Ministry','Minor_Threat','Minutemen','Miriam_Makeba','Mirosław_Breguła','Mirosław_Czyżykiewicz','Misery_Signals','Miss_May_I','Missy_Elliott','Mister_Dex','Mitchel_Musso','Miuosh','Miyavi','Miz','Miłość_(grupa_muzyczna)','Mnemic','Mobb_Deep','Moby','Modern_Jazz_Quartet','Modern_Talking','Modfunk','Mogwai','Mohammed_Rafi','Mohombi','Mokoma','Mold_(grupa_muzyczna)','Molesta_Ewenement','Momoiro_Clover_Z','Monica_Arnold','Monika_Borys','Monika_Borzym','Monika_Brodka','Monopol_(grupa_muzyczna)','Monrose','Monster_Magnet','Monstrum_(grupa_muzyczna)','Montserrat_Caballé','Moon_(grupa_muzyczna)','Moonblood','Moonlight','Moonsorrow','Moonspell','Mor_W.A.','Morandi','Morawski_Waglewski_Nowicki_Hołdys','Morbid_Angel','Morcheeba','Morgan_Nicholls','Morgoth_(grupa_muzyczna)','Moriah','Morning_Musume','Morningwood','Morowe','Mortal_Love','Mos_Def','Moskwa_(grupa_muzyczna)','Motörhead','Mountain','Mourning_Beloveth','Możdżer_Danielsson_Fresco','Mr._Gil','Mr_Cox','Mroja','Mrozu','Muchy_(grupa_muzyczna)','Muddy_Waters','Mudhoney','Mudvayne','Murderdolls','Muse','Mustafarai','Mustard_Plug','Mute_Math','Mutya_Buena','Muzyka_Końca_Lata','MxPx','My_Bloody_Valentine','My_Chemical_Romance','My_Dying_Bride','My_Passion','My_Riot','Myles_Kennedy','Mylène_Farmer','Myopia_(grupa_muzyczna)','Myron_Avant','Myslovitz','Mysticum','Måns_Zelmerlöw','Mötley_Crüe','Múm','Mýa_Marie_Harrison','Młody_M','N.E.R.D.','N.R.M.','N.W.A','N.W.A.','NEWS','NOFX','NOT_(grupa_muzyczna)','NYIA','Nachtmystium','Nagły_Atak_Spawacza','Nailbomb','Najwa_Karam','Naked_City','Namie_Amuro','Nana_Kitade','Nana_Mizuki','Napalm_Death','Napoleon_Boulevard','Nappy_Brown','Nargaroth','Nas','Natalia_Kills','Natalia_Kukulska','Natalia_Lesz','Natalia_Oreiro','Natalia_Przybysz','Natalie_Imbruglia','Natanael','Natanael_(grupa_muzyczna)','Natasha_Bedingfield','Natasha_Saint-Pier','Natasha_Thomas','Natasza_Urbańska','Natasza_Zylska','Nate_Dogg','Nationwide_Rip_Ridaz','Natural_Dread_Killaz','Natália_Kelly','Naumachia_(zespół_muzyczny)','Nazareth_(zespół_muzyczny)','Ne-Yo','Necro','Necromantia','Necrophagist','Necrose','Negatyw_(grupa_muzyczna)','Neil_Diamond','Neil_Patrick_Harris','Neil_Young','Nekromantix','Nelly_(raper)','Nelly_Furtado','Nema_(grupa_muzyczna)','Nemrod_(grupa_muzyczna)','Nena_(zespół_muzyczny)','Neo_Retros','Neolithic','Neon_Christ','Neoton_Família','Neronia','Neu!','Neurosis','Neurotic_Outsiders','Nevermore','New_Dawn_Foundation','New_Order','New_Politics','New_York_Dolls','Nicholas_Hooper','Nick_Cannon','Nick_Cave_and_the_Bad_Seeds','Nick_Drake','Nick_Jonas','Nick_Kamen','Nick_Mason','Nickelback','Nicki_Minaj','Nicky_Wire','Nicola_Roberts','Nicole_Scherzinger','Niebiesko-Czarni','Nigel_Kennedy','Night_Gallery','Nightmare_(francuska_grupa_muzyczna)','Nightwish','Nik_Kershaw','Nile','Nina_Hagen','Nine_(raper)','Nine_Black_Alps','Nine_Inch_Nails','Nipsey_Russell','Nirvana','Nitin_Sawhney','Nitrous_Oxide','Niwea','No-Man','No_Angels','No_Doubt','No_Use_for_a_Name','Nocna_Zmiana_Bluesa','Noir_Désir','Nokturnal_Mortum','Nomad','Nomans_Land','Non_Opus_Dei','None_(grupa_muzyczna)','Noon','Norah_Jones','Normalsi','North_(grupa_muzyczna)','Norther','Northern_Kings','Norwegian_Evil','Nos_vemos_en_el_camino','Notting_Hillbillies','Nouvelle_Vague_(grupa_muzyczna)','Novi_Singers','Novika','Nox_Arcana','Nuclear_Vomit','Nujabes','Numer_Raz','Nurt_(grupa_muzyczna)','Nâdiya','O$ka','O-Zone','O.N.A.','O.S.T.R.','Oasis','Obie_Trice','Obituary','Obscura','Obywatel_GC','Obóz_TA','OceanLab','Oceana','Oceana_(wokalistka)','Oceán','Odetta_Holmes','Odroerir','Of_Monsters_and_Men','Office_of_Strategic_Influence','Ofra_Haza','Oi_Polloi','Ol\'_Dirty_Bastard','Olaf_Deriglasoff','Old_Timers','Ole_Børud','Olga_Bończyk','Olive_(grupa_muzyczna)','Olivia_(piosenkarka)','Olivia_Lufkin','Olivia_Newton-John','Olly_Murs','Omarion','Omega_(grupa_muzyczna)','Omen_(grupa_muzyczna)','Omen_(węgierska_grupa_muzyczna)','Omer_Meir_Wellber','Onar_(raper)','OneRepublic','One_Direction','One_Million_Bulgarians','One_Night_Only_(grupa_muzyczna)','One_Ok_Rock','Onyx_(grupa_muzyczna)','Oomph!','Operacja_Logos','Opeth','Orange_Goblin','Orange_Range','Orchestral_Manoeuvres_in_the_Dark','Organizm_(grupa_muzyczna)','Orgy','Original_Soundtracks_1','Orishas','Orkiestra_Samanta','Ornette_Coleman','Orphaned_Land','Orquestra_de_la_Comunitat_Valenciana','Ortega_Cartel','Oscar_Moore','Oscar_Peterson','Oscar_The_Punk','Osjan_(grupa_muzyczna)','Ossian_(grupa_muzyczna)','Oszibarack','Otep','Otis_Jackson_Jr.','Otis_Redding','Ott','Oumou_Sangaré','OutKast','Out_of_Tune','Outlawz','Overkill_(grupa_muzyczna)','Overton_Vertis_Wright','Owal_(raper)','Owl_City','Oxy.gen','Oz_(grupa_muzyczna)','Ozric_Tentacles','Ozymandias','Ozzy_Osbourne','P$C','P.O.D.','P._Box','P._J._Proby','P._Mobil','PCP_(Północ_Centrum_Południe)','PIN_(grupa_muzyczna)','PJ_Harvey','POE_(Projekt_Ostry_Emade)','PRO_FORMA','Pablo_Alborán','Pablopavo','Paco_de_Lucía','Page_&_Plant','Pain','Pain_of_Salvation','Pakito','Paktofonika','Paluch_(raper)','Panic!_at_the_Disco','Panik','Pantera_(grupa_muzyczna)','Panzer_X','Paolo_Conte','Papa_Dance','Papa_Roach','Papoose','Paprika_Korps','Paracoccidioidomicosisproctitissarcomucosis','Paradise_Lost','Paramore','Paresłów','Parias_(grupa_muzyczna)','Paris_Hilton','Parkway_Drive','Parov_Stelar','Partia_(grupa_muzyczna)','Party_Animals','Parzel','Pastora_Soler','Pat_Benatar','Pat_Carroll','Pat_Metheny','Pat_Metheny_Group','Pati_Yang','Patricia_Kaas','Patricia_Kazadi','Patrick_Doyle','Patrick_Fiori','Patrycja_Kosiarkiewicz','Patrycja_Markowska','Patti_Palladin','Patti_Smith','Paul_McCartney','Paul_Oakenfold','Paul_Simon','Paul_Stanley','Paul_Wall','Paul_Webb','Paul_van_Dyk','Paula_Abdul','Paulina_Ignasiak','Paulina_Przybysz','Pauline','Paweł_Kukiz','Peabo_Bryson','Peaches_(piosenkarka)','Pearl_Jam','Pectus','Peja_(raper)','Pelson','Pencey_Prep','Pendragon','Pendulum','Pennywise','Perfect_(grupa_muzyczna)','Perfume','Persuader','Pestilence','Pet_Shop_Boys','Pete_Belasco','Pete_Rock','Pete_Rock_&_CL_Smooth','Peter_André','Peter_Chilvers','Peter_Criss','Peter_Gabriel','Peter_Gee','Petr_Muk','Petula_Clark','Pezet','Pharrell_Williams','Phil_Collins','Philip_Catherine','Piasek','Piccolo_Coro_dell\'Antoniano','Pidżama_Porno','Pierre_Garand','Piersi_(grupa_muzyczna)','Pig_Destroyer','Pih','Pijani_Powietrzem','Pilichowski_Band','Pimp_C','Pinhead_Gunpowder','Pink','Pink_Floyd','Pink_Freud','Piotr_Bukartyk','Piotr_Fronczewski','Piotr_Polk','Piotr_Rogucki','Piotr_Rubik','Piotr_Salata','Piotr_Zander','Pitbull_(raper)','Pixie_Lott','Pixies','Pięć_Dwa_Dębiec','Pjus','Placebo_(grupa_muzyczna)','Planet_X','Plateau_(grupa_muzyczna)','Platinum_Weird','Plump_DJs','Pneuma_(grupa_muzyczna)','Po_prostu_(grupa_muzyczna)','Pod_Budą','Pogodno_(grupa_muzyczna)','Poisonblack','Pokahontaz','Pokój_z_Widokiem_na_Wojnę','Polski_Mistrzowski_Manewr','Poluzjanci','Pono','Poor_Righteous_Teachers','Popa_Wu','Popek_(raper)','Porcupine_Tree','Pork_Pie','Porter_Band','Portishead_(grupa_muzyczna)','Possessed','Post_Regiment','Power_of_Trinity','Pretty_Maids','Primal_Fear','Primal_Scream','Primus','Prince','Procol_Harum','Profanacja_(grupa_muzyczna)','Profanum_(grupa_muzyczna)','Professor_Green','Proghma-C','Projektor_(grupa_muzyczna)','Proletaryat','Prong','Proof_(raper)','Propagandhi','Przejście_(zespół_muzyczny)','Przemysław_Gintrowski','Przyjaciele_(grupa_muzyczna)','Psy_(raper)','Psychocukier','Psychopathic_Rydas','Psyclon_Nine','Ptaky','Public_Affection','Public_Enemy','Puddle_of_Mudd','Puffy_AmiYumi','Puissance_(grupa_muzyczna)','Pulsarus','Pulse_Ultra','Pure_Reason_Revolution','Puscifer','Pustki_(grupa_muzyczna)','Pyorrhoea','Pyskaty','Północny_Toruń_Projekt','Püdelsi','Pęku','Płomień_81','Queen','Queen_+_Paul_Rodgers','Queens_(grupa_muzyczna)','Queens_of_the_Stone_Age','Queensberry','Queensrÿche','Quidam','Quincy_Jones','Quo_Vadis_(grupa_muzyczna)','Quorthon','R.A.P.','R.E.M.','R.I.O.','R.U.T.A.','R._Kelly','RBD','REO_Speedwagon','RHX','RSC','Rachael_Yamagata','Radio_Bagdad','Radiohead','Raekwon','Rafał_Blechacz','Rafał_Brzozowski','Rafał_Kołaciński','Raffaëla_Paton','Rafi_(raper)','Rage_(grupa_muzyczna)','Rage_Against_the_Machine','Ragnarok_(grupa_muzyczna)','Rahim','Rain','Rainbow','Rakim','Ram-Zet','Rammstein','Ramona_23','Ramona_Rey','Ramones','Rancid','Randy_Crawford','Randy_Edelman','Rapture','Ras_Luta','Ratata','Ratatam','Ratatat','Ray_Bryant','Ray_Charles','Ray_Lavender','Raz,_Dwa,_Trzy','Razor_(grupa_muzyczna)','Razorlight','Rebbie_Jackson','Rebecca_Black','Recoil','Recydywa_(grupa_muzyczna)','Red_(raper)','Red_Hot_Chili_Peppers','Red_Lips','Red_Mitchell','Red_Norvo','Red_Sparowes','Redakcja_(zespół_muzyczny)','Redman','Rednex','Reds','Reel_2_Real','Reflexion','Refused','Reggie_Workman','Regina_Bielska','Reinless','Rejestracja_(grupa_muzyczna)','Relient_K','Remont_Duszy','Renata_Dąbkowska','Renata_Niedbał-Witta','Renata_Przemyk','Rendez-Vous','Reni_Jusis','Renée_Fleming','Republic_(grupa_muzyczna)','Republika_(grupa_muzyczna)','Rezerwat_(grupa_muzyczna)','Rh+','Rhapsody_of_Fire','Ri!codeh','Ricchi_e_Poveri','Richard_Ashcroft','Richard_Hell_and_the_Voidoids','Richard_Wright_(muzyk)','Richie_Cole','Rick_Astley','Rick_Fenn','Rick_Ross','Ricky_Martin','Rico_Rodriguez','Riger','Rihanna','Ringo_Starr','Rise_Against','Ritual_Carnage','Rivers_Cuomo','Riverside','Rizzle_Kicks','Road_Trip\'s_Over','Rob_Dougan','Rob_Zombie','Robbie_Williams','Robert_Ahwai','Robert_Chojnacki','Robert_Cray','Robert_Diggs','Robert_Fripp','Robert_Gawliński','Robert_J._Kral','Robert_Janowski','Robert_Janson','Robert_Kasprzycki','Robert_Miles','Robert_Plant','Robert_Prince','Robert_Wyatt','Robin_Beck','Robin_Stjernberg','Robotix','Robotobibok','Rock_Goddess','Rocé_(muzyk)','Rod_Stewart','Rodrigo_y_Gabriela','Roger_Taylor_(Queen)','Roger_Troutman','Roger_Waters','Rohff','Roll_Deep','Rolls_Frakció','Ron_Carter','Ron_Geesin','Ron_Isley','Root_(czeska_grupa_muzyczna)','Root_(polska_grupa_muzyczna)','Rootwater','Rory_Gallagher','Roscoe_Dash','Roswell_Rudd','Rotary','Rotting_Christ','Roxette','Roy_Haynes','Royal_Concertgebouw_Orchestra','Royal_String_Quartet','Royce_da_5\'9\"','Rudy_MRW','Ruff_Ryders_Entertainment','Run-D.M.C.','Running_Wild','Run–D.M.C.','Rush','Russell_Allen','Rusłana_Łyżyczko','Ryan_Paris','Ryszard_Borowski_(muzyk)','Ryszard_Damrosz','Ryszard_Rynkowski','Ryszard_Skibiński','Ryszard_Sygitowicz','Róisín_Murphy','Róże_Europy','Różni_Artyści','Różni_Wykonawcy','Różni_artyści','Różni_wykonawcy','Röyksopp','S.O.S._(grupa_muzyczna)','SBB','SOFA','SOiL','SR-71_(grupa_muzyczna)','SSQ_(zespół_muzyczny)','Sabaton','Sadat_X','Sade_(zespół_muzyczny)','Safura_Alizadeh','Sage_Francis','Sainc','Sajgon_(grupa_muzyczna)','Sakis_Rouvas','Sakis_Ruwas','Saliva','Sally_Oldfield','Saltatio_Mortis','Samael_(grupa_muzyczna)','Sammath_Naur','Samuel_Barber','Sanctity','Sander_van_Doorn','Sandra_Cretu','Sandrine_Kiberlain','Sanitys_Down','Sanna_Nielsen','Santana_(zespół_muzyczny)','Sarah_Brightman','Sarah_Connor','Sarah_McLachlan','Sarcófago','Sarsa','Sash!','Sasha_Strunin','Satanic_Surfers','Satellite_Party','Satyricon_(grupa_muzyczna)','Saul_Williams','Savage_Garden','Savatage','Saxon_(grupa_muzyczna)','Scar_Symmetry','Scarface_(raper)','Sceptic','Schiller_(grupa_muzyczna)','Scissor_Sisters','Scooter','Scorpions','Scott_Stapp','Scream_Silence','Scritti_Politti','Sean_Combs','Sean_Garrett','Sean_Kingston','Sean_Lennon','Sean_Paul','Sebastian_Ingrosso','Sebastien_Drums','Secret_(zespół_muzyczny)','Secret_Garden','Secret_Service_(grupa_muzyczna)','Sedes_(grupa_muzyczna)','Seeed','Seether','Sekcja_rytmiczna','Selena_Gomez_&_the_Scene','Senator_(grupa_muzyczna)','Sentenced','September','Septic_Flesh','Sepultura','Serge_Gainsbourg','Serj_Tankian','Seth_Binzer','Sevendust','Seweryn_Krajewski','Sex_Pistols','Sexbomba','Shadows_Fall','Shaggy','Shakespears_Sister','Shakira','Shannon_Curfman','Sharon_Leal','Shaun_Baker','Shazza','Sheek_Louch','Shellerini','Sheryl_Crow','Shinedown','Shinee','Shinichi_Osawa','Shining_(norweska_grupa_muzyczna)','Shining_(szwedzka_grupa_muzyczna)','Shirley_Clamp','Shocking_Pinks','Shontelle','Shout','Shpongle','Shyheim','Sia_Furler','Sidney_Polak','Sido','Siedah_Garrett','Siedem_(grupa_muzyczna)','Siegfried_(grupa_muzyczna)','Siegfried_Kessler','Siekiera_(grupa_muzyczna)','Sigur_Rós','Sigurd_Wongraven','Silent_Circle','Silverstein','Simon_Webbe','Simple_Plan','Sinergy','Sing_Sing_Penelope','Sinik','Sinéad_O\'Connor','Siobhán_Donaghy','Sirenia_(grupa_muzyczna)','Sirens','Sirius_(grupa_muzyczna)','Sirusho','Sisqó','Sistars','Siwers','Six_Feet_Under_(grupa_muzyczna)','Six_Organs_of_Admittance','Six_Reasons_to_Kill','Sixteen','Sizzla_Kalonji','Ska-P','Skadja','Skaldowie','Skalpel_(grupa_muzyczna)','Skaner_(grupa_muzyczna)','Skangur','Skawalker','Skazani_na_Sukcezz','Ski_Skład','Skid_Row_(amerykańska_grupa_muzyczna)','Skillet','Skinny_Patrini','Skorpió','Skrillex','Skye_(piosenkarka)','Skye_Sweetnam','Skyforger','Skylar_Grey','Slade','Slash','Slash\'s_Snakepit','Slayer','Slick_Rick','Slim_Dusty','Slim_Thug','Slipknot','Slo_Burn','Slum_Village','Slums_Attack','Sly_&_Robbie','Smagalaz','Smash_Mouth','Smile_(grupa_muzyczna)','Smoothe_Da_Hustler','Snap!','Sneaker_Pimps','Sneaky_Sound_System','Sni_Sredstvom_Za_Uklanianie','Sniper','Snoop_Dogg','Snow_Patrol','SoShy','So_I_Scream','Sobota_(raper)','Soda_(grupa_muzyczna)','Sodom','Soft_Machine','Soilwork','Sokół_(raper)','Sol_Invictus_(grupa_muzyczna)','Solange_Knowles','Solar_Quest','Solid_Base','Solitude_Aeturnus','Something_Like_Elvis','Something_for_Kate','Sonata_Arctica','Sonic_Mayhem','Sonic_Syndicate','Sonic_Youth','Sonique','Sonja_Aldén','Sonny_Clark','Sons_of_Butcher','Sophie_Ellis-Bextor','Soul_Position','Soulfly','Soulja_Boy','Soulja_Boy_Tell_\'Em','Soundgarden','Space_Cowboy','Space_Tribe','Spacemonkeyz','Sparks_(grupa_muzyczna)','Spellblast','Sphere','Spice_1','Spice_Girls','Spiller','Spin_Doctors','Spinache','Spinal_Cord','Spiral_Architect','Spooko','Squash_Bowels','Stachursky','Stacie_Orrico','Stacy_Ferguson','Staind','Stala_&_So.','Stam1na','Stampin\'_Ground','Stan_Getz','Stan_Kenton','Stanisław_Sojka','StarGuardMuffin','Star_Guard_Muffin','Star_One_(muzyka)','Stare_Dobre_Małżeństwo','Stasiak_(raper)','State_of_Alert','Stateless','Static-X','Status_Quo_(grupa_muzyczna)','Steel_Attack','Stefanie_Heinzmann','Stefano_Terrazzino','Stella_Mwangi','Step_(grupa_muzyczna)','Step_Forward','Stephen_Marley','Stephen_Stills','Stereolab','Stereophonics','Stereopony','Steve_Angello','Steve_Hackett','Steve_Jones','Steve_Vai','Steven_Wilson','Stevie_Wonder','Sticky_Fingaz','Still_Remains','Stillborn','Sting','Stone_Sour','Stone_Temple_Pilots','Stonehenge_(grupa_folk)','Storm_(grupa_muzyczna)','Stormtroopers_of_Death','Stormwarrior','Story_of_the_Year','Strachy_na_Lachy','Strapping_Young_Lad','Stratovarius','Stream_of_Passion','String_Connection','String_Quartet_Tribute','Stromae','StrommoussHeld','Styles_P','Stíny_Plamenů','Submersed','Suede','Suffocation','Sufjan_Stevens','Sugababes','Suicidal_Angels','Suicide_Silence','Sum_41','Summoning','Sumptuastic','Sunblock','Sunn_O)))','Sunny_Murray','Sunrise_Avenue','Supa_Mario','Super_Monkey\'s','Superpuder','Supertramp','Survivor_(grupa_muzyczna)','Susan_Boyle','Suzanne_Vega','Svarga','Swallow_the_Sun','Swedish_House_Mafia','Sweet_(grupa_muzyczna)','Sweet_Noise','Swizz_Beatz','Swoją_Drogą','Syd_Barrett','Sylk-E._Fyne','Sylosis','Sylvain_Sylvain','Sylver','Sylwia_Grzeszczak','Symphony_X','System_of_a_Down','Szad','Sztywny_Pal_Azji','Szwadron_97','Szwagierkolaska','Szybki_Szmal','Szymon_Wydra_&_Carpe_Diem','Sándor_Révész','Sławomir_Kulpowicz','Sławomir_Wierzcholski','T-Pain','T-ara','T-ara_N4','T.A.T.u.','T.I.','T.Love','T._Rex','THS_Klika','TLC_(grupa_muzyczna)','TPN_25','TSA_(grupa_muzyczna)','TZN_Xenna','Taake','Tabu_(zespół_muzyczny)','Tacere','Tactical_Sekt','Tadek','Tadeusz_Miller','Tadeusz_Nalepa','Tadeusz_Woźniak_(muzyk)','Taio_Cruz','Takayoshi_Tanimoto','Take_That','Tal_Farlow','Talib_Kweli','Talk_Talk','Talking_Heads','Tamia','Tangerine_Dream','Tania_Foster','Tankcsapda','Taproot','Tara_McDonald','Tarja_Turunen','Tarnowska_Orkiestra_Kameralna','Tarot_(grupa_muzyczna)','Taste','Tatiana_Okupnik','Tay_Zonday','Taylor_Swift','Te-Tris','Teairra_Mari','Tears_for_Fears','Tech_N9ne','Ted_Ross','Tede','Teka','Television','Temnozor','TenTypMes','Ten_Years_After','Tenacious_D','Tenhi','Tennessee_Ernie_Ford','Tercet_Egzotyczny','Teresa_Haremza','Terrance_Quaites','Terror_(grupa_muzyczna)','Terrorizer','Teräsbetoni','Test_(grupa_muzyczna)','Testament_(grupa_muzyczna)','Texas_(grupa_muzyczna)','Textures','Tha_Dogg_Pound','Tha_Eastsidaz','Tha_Trademarc','Thalía','The-Dream','The_4-Skins','The_Academy_Is...','The_Age_of_Information','The_Agonist','The_All-American_Rejects','The_Allman_Brothers_Band','The_Almighty_Trigger_Happy','The_Amenta','The_Analogs','The_Animals','The_Arrows','The_Avalanches','The_B-52\'s','The_Band','The_Beach_Boys','The_Beat','The_Beatles','The_Beloved','The_Berzerker','The_Bicycle_Thief','The_Bill','The_Birthday_Massacre','The_Birthday_Party','The_Black_Eyed_Peas','The_Black_Keys','The_Blackhearts','The_Bled','The_Bloody_Beetroots','The_Blues_Brothers_(grupa_muzyczna)','The_Boys_Next_Door','The_Byrds','The_Calling','The_Car_Is_on_Fire','The_Cardigans','The_Cars','The_Cataracs','The_Chemical_Brothers','The_Cinematics','The_Clash','The_Clay_People','The_Cloud_Room','The_Clovers','The_Commodores','The_Communards','The_Congos','The_Cookies','The_Cool_Kids','The_Corrs','The_Courteeners','The_Crackers','The_Cranberries','The_Cross','The_Cult','The_Cure','The_D.O.C.','The_Daevid_Allen_Trio','The_Damrockers','The_Days','The_Dead_Pets','The_Dead_Weather','The_Dillinger_Escape_Plan','The_Diplomats','The_Dismemberment_Plan','The_Distillers','The_Donnas','The_Doors','The_Dresden_Dolls','The_Dykeenies','The_Easybeats','The_Electric_Light_Orchestra','The_Electric_Prunes','The_Empire_Shall_Fall','The_End_(grupa_muzyczna)','The_Exies','The_Exploited','The_Faith','The_Fall','The_Feederz','The_Firm','The_Flaming_Lips','The_Force_M.D.s','The_Fratellis','The_Fray','The_Freaks','The_Free','The_Fugees','The_Future_Sound_of_London','The_Futureheads','The_Gathering_(grupa_muzyczna)','The_Gazette','The_Germs','The_Glitch_Mob','The_Go-Go\'s','The_Good,_the_Bad_and_the_Queen','The_Gruz_Brothers_Band','The_Haunted','The_Heartbreakers','The_Hilliard_Ensemble','The_Hives','The_Hooters','The_Human_League','The_Jackson_5','The_Jet_Set','The_Jimi_Hendrix_Experience','The_Karelia','The_Kelly_Family','The_Killers','The_Kills','The_Kingston_Trio','The_Kinks','The_Knife','The_Kooks','The_Kovenant','The_LOX','The_Lady_of_Rage','The_Last_Goodnight','The_Legendary_Pink_Dots','The_Legion_of_Doom','The_Libertines','The_Locos','The_Lollipops','The_Lonely_Island','The_Lookouts','The_Mahavishnu_Orchestra','The_Mamas_&_the_Papas','The_Marians','The_Mars_Volta','The_Melvins','The_Mescaleros','The_Misfits','The_Nefilim','The_Notorious_B.I.G.','The_Offspring','The_Orb','The_Original_Wailers','The_Pharcyde','The_Phil_Collins_Big_Band','The_Plastic_Ono_Band','The_Platters','The_Police','The_Pretenders','The_Pretty_Reckless','The_Priests','The_Prodigy','The_Promontory','The_Pussycat_Dolls','The_R.O.C.','The_Raconteurs','The_Rasmus','The_Reindeer_Section','The_Replacements','The_Residents','The_Returners','The_Revolution','The_Rolling_Stones','The_Roots','The_Ruts','The_Saturdays','The_Scene','The_Script','The_Selecter','The_Shins','The_Sinfonieta_of_Sines','The_Sins_of_Thy_Beloved','The_Sisters_of_Mercy','The_Skatalites','The_Slits','The_Smashing_Pumpkins','The_Smiths','The_Sounds','The_Specials','The_Stooges','The_Stranglers','The_Streets','The_Strokes','The_Sugarhill_Gang','The_Suicide_Machines','The_Syntetic','The_Teen_Idles','The_Temper_Trap','The_Time','The_Ting_Tings','The_Trews','The_Used','The_Users','The_Veronicas','The_Verve','The_Vines','The_Wanted','The_Watch','The_Weakerthans','The_White_Stripes','The_Who','The_Wild_Pair','The_Winery_Dogs','The_Wolfgang_Press','The_Yardbirds','Theatre_of_Tragedy','Theatres_des_Vampires','Theaudience','Theodore_Unit','Therapy?','Thergothon','Therion','Thin_Lizzy','Thinkadelic','This_Mortal_Coil','Thom_Yorke','Thomas_Bangalter','Thorns','Three_6_Mafia','Three_Days_Grace','Throbbing_Gristle','Throwing_Muses','Thrudvangar','Thunderbolt_(grupa_muzyczna)','Thunderstone','Thy_Disease','Thyrfing','Tiamat_(grupa_muzyczna)','Tiddey','Tie_Break','Tiffany_Giardina','Tilt','Tim_Bowness','Tim_Owens','Tim_Reynolds','Timati','Timbaland','Timeless_Miracle','Tina_Karol','Tina_Turner','Tinchy_Stryder','Tinie_Tempah','Titiyo','Tito_&_Tarantula','Titus\'_Tommy_Gunn','Tiësto','Tokio_Hotel','Tom_Browne','Tom_Jones_(piosenkarz)','Tom_Waits','Tomasz_Budzyński','Tomasz_Olejnik','Tomasz_Stańko','Tomasz_Żółtko','Tomcraft','Tommy_Flanagan','Tommy_Nilsson_(piosenkarz)','Toni_Braxton','Tony_Bennett','Tony_D_(raper)','Tony_MacAlpine','Tony_Wakeford','Tony_Williams','Tony_Yayo','Too_$hort','Tool','Top_One','Toples','Torgny_Melins','Tori_Amos','Tormentia','Toro_y_moi','Toroidh','Toronto_(grupa_muzyczna)','Totem_(grupa_muzyczna)','Totentanz_(grupa_muzyczna)','Toto_(grupa_muzyczna)','Towary_Zastępcze','Toxik_Ephex','Toy_Boys','Trading_Yesterday','Traffic_(grupa_muzyczna)','Trance_Atlantic_Air_Waves','Trapeze','Trapt','Trash_Palace','Trauma_(grupa_muzyczna)','Traveling_Wilburys','Travis','Travis_Barker','Travis_McCoy','Trawnik_(grupa_muzyczna)','Trebunie-Tutki','Trevor_Jones','Trey_Lorenz','Trey_Songz','Trials_X','Tribes_of_Neurot','Trick_Daddy','Tricky','Trife_da_God','Triinu_Kivilaan','Trina','Triple_C\'s','Triptykon','Tristania','Trivium_(grupa_muzyczna)','Troje','Tropicale_Thaiti_Granda_Banda','Trupy','Trzeci_Wymiar','Trzy_Korony_(grupa_muzyczna)','Très.b','Tuff_Enuff','Tunisiano','Tuomas_Holopainen','Tupac_Shakur','Turbo_(grupa_muzyczna)','Turisas','Tweet','Twista','Twisted_Sister','Twiztid','Two_Steps_From_Hell','Tworzywo_Sztuczne','Tyga','Tymański_Yass_Ensemble','Tymon_&_The_Transistors','Tymon_Smektała','Type_O_Negative','Tytus_Wojnowicz','Týr_(grupa_muzyczna)','U-God','U.D.O.','U2','U96','UFO_(grupa_muzyczna)','UGK','UL/KR','US5','USA_for_Africa','Ugly_Kid_Joe','Uh_Huh_Her','Ulisses_(grupa_muzyczna)','Ultra_Orange','Ultravox','Ulver','Ulysses_(amerykańska_grupa_muzyczna)','Ulysses_(holenderska_grupa_muzyczna)','Umbrtka','UnSun','Unborn_Suffer','Uncle_Murda','Uncle_Tupelo','Underworld_(grupa_muzyczna)','Undish','Unearth','Unheilig','Uniting_Nations','Unkle','Unleashed','Until_June','Unwound','Urban_Symphony','Urgehal','Uriah_Heep','Urszula_(wokalistka)','Urszula_Sipińska','Usher','V-Nasty','V.E.T.O.','V.M._Band','VNM','VOX_(grupa_muzyczna)','Vader','Valinor','Vampire_Weekend','Van_Halen','Van_Morrison','Van_der_Graaf_Generator','Vanessa_Carlton','Vanessa_Hudgens','Vangelis','Vanilla_Ice','Vanilla_Ninja','Varathron','Various','Varius_Manx','Variété','Vasco_Rossi','Vavamuffin','Ved_Buens_Ende','Velcra','Velvet','Velvet_Revolver','Venetian_Snares','Vengaboys','Venom','Verba','Veronica_Maggio','Veronica_Mortensen','VersaEmerge','Versailles_(zespół_muzyczny)','Vesania','Vespa_(grupa_muzyczna)','Vexel','Via_Mistica','Video_(grupa_muzyczna)','Vienio','Village_Kollektiv','Village_People','Vince_Neil','Vinnie_Moore','Vintersorg','Vinton_Johnson','Viola_Brzezińska','Violetta_Najdenowicz','Violetta_Villas','Virgin','Virgin_Black','Virgin_Snatch','Virgin_Steele','Vision_Divine','Visions_of_Atlantis','Vitaa','Vital_Remains','Vitold_Rek','Vittorio_Grigolo','Vixen_(raper)','Vladimir_518','Vladimír_Václavek','Void_(grupa_muzyczna)','Voivod','Volbeat','Volker_Kriegel','Voltaire_(muzyk)','Volver_(grupa_muzyczna)','Von_(grupa_muzyczna)','Von_Zeit','Voo_Voo','Voodoo_Glow_Skulls','Voodoocult','Voyage_(grupa_muzyczna)','V’Moto-Rock','W.E.N.A.','WC_(grupa_muzyczna)','WC_(raper)','WC_and_the_Maad_Circle','WNB','WSZ_&_CNE','WTN_(grupa_muzyczna)','WU-HAE','WWO','Waka_Flocka_Flame','Waldemar_Kasta','Wale_(raper)','Wall-E','Walls_of_Jericho_(grupa_muzyczna)','Walter_Wanderley','Wanda_Kwietniewska','Wanda_Warska','Wanda_i_Banda','War_of_Ages','Warbringer','Wardruna','Warrel_Dane','Warren_G','Warren_Zevon','Warsawpack','Warszafski_Deszcz','Watain','Wayne_Shorter','Wańka_Wstańka','Wdowa_(raperka)','Webber','Webber_(producent_muzyczny)','Wednesday_13','Weezer','Weird_Al_Yankovic','Werchowyna_(grupa_muzyczna)','Weronika_Korthals','Wes_Madiko','Westlife','Westside_Connection','Wham!','WhiteHouse','White_Lies','White_Zombie','Whitesnake','Whitestarr','Whitney_Houston','Whodini','Wice_Wersa','Wierka_Serdiuczka','Wig_Wam','Wilbur_Harden','Wild_Orchid','Wilki','Will.i.am','Will_Smith','Will_Young','William_Ørbit','Willie_Nelson','Wilson_Phillips','Wim_Overgaauw','Windir','Winds_of_Plague','Wings','Winter\'s_Bane','Wintersun','Wir_sind_Helden','Wire','Wishbone_Ash','Wisin_&_Yandel','Witchmaster','With_Blood_Comes_Cleansing','Within_Temptation','Wiz_Khalifa','Wiśnix','Wojciech_Groborz','Wojciech_Gąssowski','Wojciech_Hoffmann','Wojciech_Jasiński_(muzyk)','Wojciech_Karolak','Wojciech_Kilar','Wojciech_Majewski','Wojciech_Malajkat','Wojciech_Młynarski','Wojciech_Waglewski','Wojtas_(raper)','Wolfgang_Dauner','Wolfmother','Wolfpac','Wrinkled_Fred','Wu-Tang_Clan','Wyclef_Jean','Wyspy_Dobrej_Nadziei','Wzgórze_Ya-Pa_3','Władysław_Komendarek','Włodi','Włodzimierz_Nahorny','Włodzimierz_Pawlik','XIII._století','XIV_Dark_Centuries','XTC','X_(grupa_muzyczna)','X_Japan','Xandria','Xasthur','Xmal_Deutschland','Xploding_Plastix','Xzibit','Y-Ass','Y_Kant_Tori_Read','Ya_Hozna','Yael_Naim','Yakuza_(grupa_muzyczna)','Yaro','Yasmin_Levy','Yattering','Yazoo_(grupa_muzyczna)','Yeah_Yeah_Yeahs','Yello','Yellowcard','Yes_(grupa_muzyczna)','Ying_Yang_Twins','Yngwie_Malmsteen','Yo_Gotti','Yoko_Ono','YoungBloodZ','Young_Buck','Young_Dro','Young_Jeezy','Yugopolis_2','Yui','Yukari_Tamura','Yukmouth','Yung_Joc','Yung_Wun','Yvonne_Catterfeld','Z-Ro','ZIP_Skład','ZZ_Top','Zabili_Mi_Żółwia','Zac_Efron','Zacier_(grupa_muzyczna)','Zakopower','ZanderHaus','Zara_Larsson','Zaza_Fournier','Zbeer','Zbigniew_Hołdys','Zbigniew_Krzywański','Zbigniew_Książek','Zbigniew_Namysłowski','Zbigniew_Preisner','Zbigniew_Rawicz_(piosenkarz)','Zbigniew_Seifert','Zbigniew_Wegehaupt','Zbigniew_Wodecki','Zbigniew_Łapiński','Zebrahead','Zee','Zemfira','Zendaya_Coleman','Zenon_Jaruga','Zeromancer','Zespół_Adwokacki_Dyskrecja','Zespół_Reprezentacyjny','Zeus_(raper)','Ziggy_Marley','Zipera','Ziyo','Zmaza','Zohar_Fresco','Zombie_Nation','Zwan','Zygmunt_Staszczyk','Zygmunt_Wichary','Zyklon','Złe_Psy','°C-ute','Ákos_Kovács','Ámokfutók','Édith_Piaf','Öszibarack','Ørjan_Nilsen','Ünloco','Łapka_Rzepa_Głuch','Łona','Łoskot','Łosowski','Łukasz_Zagrobelny','Łyczacza','Łzy','Ścianka','Śmierć_Kliniczna_(grupa_muzyczna)','Śrubki','Świetliki','Żona_Lota_(zespół_muzyczny)','Życie_Jak_Sen','Żywiołak_(grupa_muzyczna)') ))
Progress: 0.000

Could this be related to:

SELECT /* JobRunner::commitMasterChanges 127.0.0.1 */ GET_LOCK('jobrunner-serial-commit', 30) AS lockstatus /* 31bdf25cc42f95f4f4a9b493cafe0299 db1024 plwiki 2s */ /* localhost */

For which we had 10000 hits with an avg time of 15 seconds?

Event Timeline

jcrespo created this task.Aug 22 2015, 11:13 AM
jcrespo raised the priority of this task from to Normal.
jcrespo updated the task description. (Show Details)
jcrespo added projects: WMF-JobQueue, DBA.
jcrespo added a subscriber: jcrespo.
Restricted Application added subscribers: Josve05a, Aklapper. · View Herald TranscriptAug 22 2015, 11:13 AM
jcrespo added a subscriber: hashar.Feb 4 2016, 11:14 AM

Another example of a non-properly batched LinksUpdate::incrTableUpdate creating lag.

Set as NDA-only to prevent spam (but it is just DELETE /* LinksUpdate::incrTableUpdate 127.0.0.1 */ FROM externallinks WHERE el_from = '7197772' AND el_to IN ( + a bunch of links).
{P2564}

It took 18 seconds to run on the master, more on the slaves, leading to a total of 23-24 second of lag on our slowest slaves.

Another example I found while looking at the fatalmonitor on fluorine, I have seen a few SlowTimer for Jobs running on slave db1052 and waiting for it to catch up with master db1051.

A couple examples:

LoadBalancer::doWait: Timed out waiting on db1051 pos db1052-bin.003209/889664042:
LoadBalancer.php line 490 calls wfBacktrace()
LoadBalancer.php line 417 calls LoadBalancer->doWait()
GlobalFunctions.php line 3407 calls LoadBalancer->waitForAll()
JobRunner.php line 261 calls wfWaitForSlaves()
RunJobs.php line 47 calls JobRunner->run()

URL: /rpc/RunJobs.php?wiki=enwiki&type=refreshLinksPrioritized&maxtime=30&maxmem=300M
SlowTimer [10000ms] at runtime/ext_mysql: slow query: SELECT MASTER_POS_WAIT('db1052-bin.003209', 889531432, 10)

LoadBalancer::doWait: Timed out waiting on db1051 pos db1052-bin.003209/889739770:
LoadBalancer.php line 490 calls wfBacktrace()
LoadBalancer.php line 417 calls LoadBalancer->doWait()
GlobalFunctions.php line 3407 calls LoadBalancer->waitForAll()
JobRunner.php line 261 calls wfWaitForSlaves()
RunJobs.php line 47 calls JobRunner->run()

/rpc/RunJobs.php?wiki=enwiki&type=htmlCacheUpdate&maxtime=30&maxmem=300M

I have spotted some API queries in logstash with db1052 AND url:"*api.php*"

hhvm.ERROR
SlowTimer [10000ms] at runtime/ext_mysql: slow query:
    SELECT MASTER_POS_WAIT('db1052-bin.003209', 846704610, 10)

But all the above is properly just a consequence of some other nasty query/job running. Copy pasted here in case it matters.

Another example of a non-properly batched LinksUpdate::incrTableUpdate creating lag.
Set as NDA-only to prevent spam (but it is just DELETE /* LinksUpdate::incrTableUpdate 127.0.0.1 */ FROM externallinks WHERE el_from = '7197772' AND el_to IN ( + a bunch of links).
It took 18 seconds to run on the master, more on the slaves, leading to a total of 23-24 second of lag on our slowest slaves.

Indeeded MediaWiki LinksUpdate::incrTableUpdate is pretty lame and roughly boils down to:

/**
  * @param array $deletions array of rows to delete
  * @param array $insertions array of rows to insert
  */
function incrTableUpdate( $table, $prefix, $deletions, $insertions ) {

    $where[$toField] = array_keys( $deletions );  # mass WHERE

    $this->mDb->delete( $table, $where, __METHOD__ );
    $this->mDb->insert( $table, $insertions, __METHOD__, 'IGNORE' );
}

It is visibility is not defined and default to being public but it does not seem to be invoked outside of the class. The call tree being:

public LinksUpdate::doUpdate()Primary entry point
protected LinksUpdate::doIncrementalUpdate() Get list of stuff to delete/insert trigger updates
LinksUpdate::incrTableUpdateUnbatched insert/delete

Looks like LinksUpdate::incrTableUpdate() could learn batching. We have a few class for batching under includes/utils/Batch* but doesn't look like they can be reused as is.

no plan to work on that myself, just shooting ideas

aaron set Security to None.

Change 287007 had a related patch set uploaded (by Aaron Schulz):
Batch links updates performed by refreshLinks jobs

https://gerrit.wikimedia.org/r/287007

aaron claimed this task.May 5 2016, 7:00 PM
jcrespo added a comment.EditedMay 10 2016, 9:28 AM

A new appearance of this issue, but this time it was worse: pagelinks and enwiki, with several tasks taking 30-42 seconds:

Hits 	Tmax 	Tavg 	Tsum 	Hosts 	Users 	Schemas
1	42	42	42	db1057	wikiuser	enwiki
DELETE /* LinksUpdate::incrTableUpdate 127.0.0.1 */ FROM `pagelinks` WHERE pl_from = '47274957' AND ((pl_namespace = '0' AND pl_title IN ('$pread', '\'80s_on_8', '\'t_Hooft_symbol', '(st?vz\'?\'k?r)', '...To_Be_Loved', '.22-250_Remington', '.338_Winchester_Magnum', '.378_Weatherby_Magnum', '.444_Marlin', '10_Seconds', '10th_Infantry_Regiment_(United_States)', '128th_Infantry_Brigade_(United_Kingdom)', '12ft_Skiff', '12th_Reconnaissance_Squadron', '144th_Guards_Motor_Rifle_Division', '176th_Infantry_Division_(Wehrmacht)', '18-Methoxycoronaridine', '1804_Snow_hurricane', '1845_to_1868_in_baseball', '1860_in_Australia', '1881_in_baseball', '1885_in_baseball', '1887_in_baseball', '1889_in_baseball', '1892
1	37	37	37	db1057	wikiuser	enwiki
DELETE /* LinksUpdate::incrTableUpdate 127.0.0.1 */ FROM `pagelinks` WHERE pl_from = '47261208' AND ((pl_namespace = '0' AND pl_title IN ('.eg', '.gr', '.ms', '1, 1-Difluoroethane', '1, 3-Dipolar_cycloaddition', '1._FC_Saarbr
1	37	37	37	db1057	wikiuser	enwiki
DELETE /* LinksUpdate::incrTableUpdate 127.0.0.1 */ FROM `pagelinks` WHERE pl_from = '47261239' AND ((pl_namespace = '0' AND pl_title IN ('\'Tis_Pity_She\'s_a_Whore', '\'t_Hooft_operator', '\'upa\'upa', '(Miss)understood', '(SAT, _?-UNSAT)', '(Set_This)_World_Ablaze', '(Shake, _Shake, _Shake)_Shake_Your_Booty', '(n-p)_reaction', '1, 1, 2-Trichloroethane', '1-Butyl-3-methylimidazolium_hexafluorophosphate', '1-Propanol', '1._FC_Schweinfurt_05', '1._X._1905', '100_Days_with_Mr._Arrogant', '10_Days_on_the_Island', '110_metres_hurdles', '11:Metre_One_Design', '122_mm_howitzer_M1938_(M-30)', '1292_Advanced_Programmable_Video_System', '12th_Infantry_Regiment_(United_States)', '13_Alabama_Ghosts_and_Jeffrey', '13th_Guards_Rifle_Division', '162nd_(Parry_Sound)_Battalion, _CEF', '16_December_(film)', '16th_Street_Mall', '1750
1	34	34	34	db1057	wikiuser	enwiki
DELETE /* LinksUpdate::incrTableUpdate 127.0.0.1 */ FROM `pagelinks` WHERE pl_from = '47261207' AND ((pl_namespace = '0' AND pl_title IN ('(You_Gotta)_Fight_for_Your_Right_(To_Party!)', '000_Emergency', '1._FFC_Turbine_Potsdam', '12-metre_class', '1500_metres', '15_Storeys_High', '17_Hippies', '18_Stone_of_Idiot', '1904_Atlantic_hurricane_season', '1904
1	29	29	29	db1057	wikiuser	enwiki
DELETE /* LinksUpdate::incrTableUpdate 127.0.0.1 */ FROM `pagelinks` WHERE pl_from = '47293540' AND ((pl_namespace = '0' AND pl_title IN ('\'Allo_\'Allo!_(series_2)', '\'Allo_\'Allo!_(series_3)', '\'Allo_\'Allo!_(series_4)', '\'Allo_\'Allo!_(series_5)', '\'Allo_\'Allo!_(series_6)', '\'Allo_\'Allo!_(series_7)', '\'Allo_\'Allo!_(series_8)', '\'Allo_\'Allo!_(series_9)', '1-5-7-1', '1._FC_Kattowitz', '1._FC_Pforzheim', '1._FFC_Frankfurt', '102d_Intelligence_Wing', '11th_Maine_Volunteer_Infantry_Regiment', '11th_century_in_North_American_history', '1715_Treasure_Fleet', '17_RE', '18000_Dead_in_Gordon_Head', '1867_English_cricket_season', '1899_Auburn_Tigers_football_team', '1904_Auburn_Tigers_football_team', '1908_Auburn_Tigers_football_team', '1910_NSWRFL_season', '1911_Isle_of_Man_TT', '1912_NSWRFL_season', '1916_NSWRFL_season', '1933_Tour_de_France', '1937_Ford', '1938_Central_American_and_Caribbean_Games', '1939_Iowa_Hawkeyes_football_team', '1942

The consequence was a lag on al s1 servers, between 100 seconds on the fastest servers and 400 on the slowest ones.

Change 287007 merged by jenkins-bot:
Batch links updates performed by refreshLinks jobs

https://gerrit.wikimedia.org/r/287007

aaron closed this task as Resolved.May 13 2016, 9:38 PM

Fixed in master.